create database if not exists `asterisk`;

create table if not exists `asterisk`.`cdr` (
	`calldate` datetime not null,
	`clid` varchar(80) not null default '',
	`source` varchar(80) not null default '', -- Real Call Source. Reserved
	`src` varchar(80) not null default '',
	`dst` varchar(80) not null default '',
	`destination` varchar(80) not null default '', -- Real Call Destination, Used for features as Remote Substitution
	`dcontext` varchar(80) not null default '',
	`channel` varchar(80) not null default '',
	`dstchannel` varchar(80) not null default '',
	`lastapp` varchar(80) not null default '',
	`lastdata` varchar(80) not null default '',
	`duration` int not null default '0',
	`billsec` int not null default '0',
	`disposition` varchar(45) not null default '',
	`amaflags` int not null default '0',
	`accountcode` varchar(20) not null default '',
	`userfield` varchar(255) not null default '',
	`uniqueid` varchar(32) not null default '',
	`linkedid` varchar(32) not null default '',
	`sequence` varchar(32) not null default '',
	`peeraccount` varchar(32) not null default '',
	`calltype` varchar(32) not null default '', -- Ombutel Call Type (1-outgoing, 2-incoming, 3-internal)
	`recfile` varchar(255) not null default '', -- Ombutel Recording Files
	`tenant`varchar(80) not null default '' -- Ombutel Tenant (Keep The Tenant Name, Usefully for get CDR Reports By Tenant)
) ENGINE = MyISAM;
