insert into `ombutel`.`xepm_hosts` (`hostname`,`label`,`sip_port`,`iax2_port`,`http_port`,`https_port`,`default`)
select * from (select 'example.com', 'Default', 5060, 4569, 80, 443, 'yes') t
where not exists (select null from `ombutel`.`xepm_hosts` where `default` = 'yes');

select `host_id` into @host from `ombutel`.`xepm_hosts` where `default` = 'yes';

insert into `ombutel`.`xepm_templates` (`model_id`,`host_id`,`timezone_id`,`configuration_type_id`,`name`,`admin_password`)
select v.* from (
	select
		ct.`model_id`,
		@host,
		0,
		ct.`configuration_type_id`,
		concat(b.name,' ', m.name,' ',ct.name,' - Default') as `name`,
		'admin'
	from `ombutel`.`xepm_configuration_types` ct
	left join `ombutel`.`xepm_models` m using (`model_id`)
	left join `ombutel`.`xepm_brands` b using (`brand_id`)
	where b.`name` = 'Yealink'
	and m.`name` in ('T42G','T41P','T46G','T48G','T40P','T41S','T42S','T46S','T48S')
	and ct.`ident` = 'v82'
) v
left join `ombutel`.`xepm_templates` t on (t.`name` = v.`name`)
where t.`template_id` is null;
