update `ombutel`.`ombu_destination_categories` as `categories`
left join `ombutel`.`ombu_modules` as `modules` using (`module_id`)
set `categories`.`name` = case `modules`.`name`
	when "extensions" then "extension"
	when "speeddial" then "speeddial"
	when "conferences" then "conference"
	when "custom_app" then "custom_application"
	when "custom_dest" then "custom_destination"
	when "parking" then "parking lot"
	when "paging" then "page"
	when "vmgroup" then "vmgroup"
	when "ring_group" then "ringgroup"
	when "queues" then "queue"
	when "queues_priority" then "queue_priority"
	when "trunks" then "trunk"
	when "trunk_group" then "outbound_route"
	when "disa" then "disa"
	when "ivr" then "ivr"
	when "preannoun" then "announcement"
	when "languages" then "language"
	when "nightmode" then "nightmode"
	when "call_back" then "callback"
	when "time_conditions" then "time_condition"
	when "voicemail" then "voicemail"
	when "follow_me" then "followme"
	when "ext_fax" then "fax"
	when "terminate_calls" then "terminate_call"
	when "custom_context" then "custom"
	when "ivr_entries" then "ivr_entry"
	when "extension_diversions" then "diversion"
	else `modules`.`name`
end;
