update (
	select 'dlink' `brand`,'dph400s' `model`,'generic' `config`
	union all select 'dlink','dph400se','generic'
	union all select 'dlink','dph400ge','generic'
	union all select 'dlink','dph860s','generic'
	union all select 'dlink','dph850s','generic'
	union all select 'dlink','dph150s','generic'
	union all select 'dlink','dph150se','generic'
	union all select 'dlink','dph120s','generic'
	union all select 'dlink','dph120se','generic'
	union all select 'fanvil','x3s','generic_v1'
	union all select 'fanvil','x4','generic_v1'
	union all select 'fanvil','x5s','generic_v2'
	union all select 'fanvil','x6','generic_v2'
	union all select 'fanvil','h5','generic_v1'
	union all select 'dlink','dph200se','generic'
) v
left join `ombutel`.`xepm_brands` b on (b.`ident` = v.`brand`)
left join `ombutel`.`xepm_models` m on (m.`brand_id` = b.`brand_id` and m.`ident` = v.`model`)
left join `ombutel`.`xepm_configuration_types` ct on (ct.`model_id` = m.`model_id` and ct.`ident` = v.`config`)
left join `ombutel`.`xepm_settings` s on (s.`configuration_type_id` = ct.`configuration_type_id`)
set s.`default` = ''
where s.`name` in('WAN Mode','WAN IP','WAN Subnet Mask','WAN Gateway') and s.`default` <> '';
