insert into `ombutel`.`ombu_modules` (`name`, `has_dialplan`, `admin`, `version`, `portal`)
values ('updates', 'no', 'yes', '1.0', 'no');

insert into `ombutel`.`ombu_role_privileges` (`role_id`, `module_id`, `allow_view`, `allow_add`, `allow_edit`, `allow_delete`)
select r.`role_id`, m.`module_id`, 'yes', 'yes', 'yes', 'yes'
from `ombutel`.`ombu_roles` r
left join `ombutel`.`ombu_modules` m on (m.`name` = 'updates')
where r.`role_id` = 1;

insert into `ombutel`.`ombu_menu` (`label`, `parent_id`, `module_id`, `icon`, `sort`)
select 'menu.updates', p.`menu_id`, m.`module_id`, null, 5
from `ombutel`.`ombu_menu` p
left join `ombutel`.`ombu_modules` m on (m.`name` = 'updates')
where p.`label` = 'menu.admin_submenu';
