alter table `ombutel`.`ombu_menu`
add column `action` varchar(255) default null after `link`;

create temporary table `ombutel`.`module_actions` (
	`module` varchar(255) not null,
	`action` varchar(255) not null
) charset=utf8 collate=utf8_unicode_ci;

insert into `ombutel`.`module_actions` (`module`, `action`) values
	("accountcode", "customer-codes"),
	-- ("app_access", "application-access"),
	("ars", "route-selections"),
	("asterisk_cli", "asterisk-cli"),
	-- ("astmanager_users", "asterisk-manager-users"),
	("authcode", "authorization-codes"),
	-- ("backup_and_restore", "backup-and-restore"),
	("blacklist", "blacklist"),
	("bulk_modification", "bulk-modification"),
	("call_back", "call-backs"),
	-- ("call_recording", "call-recording"),
	("cdr_filters", "cdr-filters"),
	-- ("certificates", "https"),
	("cid_management", "cid-modifiers"),
	("class_of_service", "classes-of-service"),
	-- ("cloudphone", "cloudphone"),
	-- ("complete_concierge", "complete-concierge"),
	("concurrent_calls", "concurrent-calls"),
	("conferences", "conferences"),
	("custom_app", "custom-applications"),
	("custom_dest", "custom-destinations"),
	-- ("dahdi_clocksource", "telephony-clock-sources"),
	-- ("dahdi_groups", "telephony-channel-groups"),
	-- ("dahdi_hardware", "telephony-interfaces"),
	-- ("dahdi_settings", "telephony-settings"),
	-- ("dahdi_spans", "telephony-profile-assignments"),
	("dashboard", "dashboard"),
	-- ("dhcpsettings", "dhcp-settings"),
	-- ("diagnostics", "diagnostics"),
	-- ("dial_profiles", "dial-profiles"),
	("dialrules", "dialing-restriction-rules"),
	("disa", "disas"),
	-- ("emailsettings", "email-settings"),
	("emergency", "emergencies"),
	-- ("epm_device_mapping", "epm-device-mapping"),
	-- ("epm_host_settings", "epm-host-settings"),
	-- ("epm_pairing", ""),
	-- ("epm_template", "epm-templates"),
	-- ("epm_zerotouch", "zero-touch"),
	-- ("extension_cdr", "my-cdr"),
	("extensions", "extensions"),
	-- ("extension_settings", "my-extension"),
	("extensions_status", "extensions-status"),
	-- ("extension_timegroup", "my-time-groups"),
	-- ("extension_voicemail", "my-voicemail"),
	-- ("external_resources", "external-resources"),
	-- ("fax_settings", "fax-settings"),
	-- ("fax_view", "faxes"),
	("feature_category", "feature-categories"),
	("feature_code", "feature-codes"),
	("firewall", "firewall"),
	-- ("fop2", "fop2"),
	-- ("fop2_admin", "fop2-administration"),
	-- ("h323_setings", "h323-settings"),
	("hot_desking", "hot-desking"),
	-- ("iax_settings", "iax-settings"),
	-- ("import_epm_devices", "epm-import-devices"),
	("import_extensions", "import-extensions"),
	("import_inroutes", "import-inbound-routes"),
	("import_speeddial", "import-speed-dialing"),
	("inbound_route", "inbound-routes"),
	("intrusion_detection", "intrusion-detection"),
	("ivr", "ivrs"),
	("languages", "languages"),
	-- ("license", "license-status"),
	-- ("logfiles", "log-settings"),
	("logfiles_viewer", "log-file-viewer"),
	-- ("mexican_numbering_plan", "mexican-numbering-plan"),
	-- ("music_on_hold", "music-on-hold"),
	-- ("my_phonebook", "my-phonebook"),
	-- ("network_settings", "network-settings"),
	("nightmode", "nightmodes"),
	("paging", "paging-and-intercom"),
	("parking", "parking"),
	("phonebook", "phonebooks"),
	("pickup_group", "pickup-groups"),
	("pin", "pin-lists"),
	("preannoun", "announcements"),
	-- ("profiles", "device-profiles"),
	("queues", "queues"),
	("queues_priority", "queue-priorities"),
	("queues_vip", "queue-vips"),
	-- ("recmanagement", "recordings-management"),
	("repcdr", "cdr"),
	("ring_group", "ring-groups"),
	-- ("scheduler", "task-manager"),
	-- ("sip_settings", "sip-settings"),
	("speeddial", "speed-dialing"),
	("status_report", "pbx-status"),
	-- ("system_general", "system-general"),
	-- ("system_misc", "system-misc"),
	-- ("teams", "teams-connector"),
	("time_conditions", "time-conditions"),
	("time_group", "time-groups"),
	("trunk_group", "outbound-routes"),
	("trunks", "trunks"),
	-- ("twinstar_status", "twinstar"),
	-- ("updates", "updates"),
	-- ("users", "users"),
	-- ("users_profiles", "user-profiles"),
	("vmgroup", "voicemail-broadcast-groups"),
	-- ("voicemail_general", "voicemail-settings"),
	-- ("voicemail_timezones", "voicemail-timezones"),
	("weak_password", "passwords");

update `ombutel`.`module_actions` ma
left join `ombutel`.`ombu_modules` mo on (mo.`name` = ma.`module`)
left join `ombutel`.`ombu_menu` me on (me.`module_id` = mo.`module_id`)
set me.`action` = ma.`action`;
