alter table `ombutel`.`ombu_external_resources`
add column `call_recording` enum('no','yes') not null default 'no';

select
	`module_id` into @module_id
from `ombutel`.`ombu_modules`
where `name` = 'call_recording';

select
	`value` = 'yes' into @use_custom_script
from `ombutel`.`ombu_settings`
where `module_id` = @module_id and `name` = 'use_custom_script';

select
	`value` = 'yes' into @enabled
from `ombutel`.`ombu_settings`
where `module_id` = @module_id and `name` = 'enabled';

set @destination = if(@use_custom_script, 'local', if(@enabled, 'cloud', ''));

replace into `ombutel`.`ombu_settings` (`module_id`, `name`, `value`)
values (@module_id, 'destination', @destination);

delete from `ombutel`.`ombu_settings`
where `module_id` = @module_id and `name` = 'enabled';
