insert into `ombutel`.`ombu_modules` (`name`, `has_dialplan`, `admin`, `version`, `portal`)
values ('cdr_settings', 'no', 'yes', '1.0', 'no');

insert ignore into `ombutel`.`ombu_role_privileges` (`role_id`, `module_id`, `allow_view`, `allow_add`, `allow_edit`, `allow_delete`)
select r.`role_id`, m.`module_id`, 'yes', 'yes', 'yes', 'yes'
from `ombutel`.`ombu_roles` r
left join `ombutel`.`ombu_modules` m on (m.`name` = 'cdr_settings')
where r.`role_id` = 1;

insert ignore into `ombutel`.`ombu_menu` (`label`, `parent_id`, `module_id`, `icon`, `sort`, `action`)
select 'menu.cdr_settings', p.`menu_id`, m.`module_id`, null, 9, 'cdr-settings'
from `ombutel`.`ombu_menu` p
left join `ombutel`.`ombu_modules` m on (m.`name` = 'cdr_settings')
where p.`label` = 'menu.pbx_settings';

insert ignore into `ombutel`.`ombu_actions` (`name`, `displayname`, `function`) values
('cdr-settings', 'module.cdr_settings', 'modules\\cdr_settings\\cdr_settings::open');

alter table `ombutel`.`ombu_external_resources` add column `cdr_csv` enum('no','yes') not null default 'no';

create table `ombutel`.`ombu_sftp_resources` (
	`resource_id` int unsigned not null,
	`endpoint` varchar(255) not null,
	`folder` varchar(255) not null,
	`username` varchar(255) not null,
	`password` varchar(255) not null,
	foreign key (`resource_id`) references `ombutel`.`ombu_external_resources`(`resource_id`) on delete cascade
) charset=utf8 collate=utf8_unicode_ci;
