(function () {

	function toggle_fields() {
		const destination = $("#call_recording_form [name='destination']").val();
		const local_selected = destination == "local";
		const cloud_selected = destination == "cloud";
		const use_custom_script = local_selected && $("#call_recording_form [name='use_custom_script']").prop("checked");
		$("#call_recording_form [name='customer_id']").closest(".form-group").toggle(cloud_selected);
		$("#call_recording_form [name='site_id']").closest(".form-group").toggle(cloud_selected);
		$("#call_recording_form input#delete_orig_file").closest(".form-group").toggle(!local_selected);
		$("#call_recording_form [name='recording_script']").closest(".form-group").toggle(use_custom_script);
		$("#call_recording_form .script_legend").toggle(use_custom_script);
		$("#call_recording_form .script_legend_details").toggle(use_custom_script);
		$("#call_recording_form [name='use_custom_script']").closest(".form-group").toggle(local_selected);
		$("#call_recording_form [name='upload_interval']").closest(".form-group").toggle(!(cloud_selected || local_selected));
	}

	$("#call_recording_form [name='destination']").on("change", toggle_fields);
	$("#call_recording_form [name='use_custom_script']").on("change", toggle_fields);
	toggle_fields();
})();
