(function () {
	var destination = $('#emergencygeneral #destination');
	var destination_index = $('#emergencygeneral #destination_index');
	var custom_dest = $('#emergencygeneral  #custom_destination');
	var custom_category_id = $('#emergencygeneral  input#custom_category').val();

	var replace_dest = destination_index.parent();
	custom_dest.appendTo(replace_dest);

	destination.on('change', function() {
		var value = $(this).val();
		custom_dest.val('');
		isCustom(value);
	})

	function isCustom(val) {
		if(val == custom_category_id) {
			destination_index.hide();
			destination_index.addClass('ignore');
			custom_dest.removeClass('hidden');
			$('#emergencygeneral select#destination_index').select2('destroy');
		} else {
			destination_index.show();
			destination_index.removeClass('ignore');
			custom_dest.addClass('hidden');
			$('#emergencygeneral select#destination_index').select2();
		}
	}

	//create first
	$.each($('#emergency_form select#destination, #emergency_form select#destination_index'), function(i, element) {
		$(element).select2({});
	});

	//update later
	isCustom(destination.val());
})();
