(function() {
	$("#paging_form").validate(Validations);

	Ombutel.on('click',"#btn-modal-devices", function() {
		multiple_select('modal-devices','devices', 'tab_paging');
	});
})();

function multicast_add(element) {
	key = "multicast_id[]";
	fields = [ "service_name[]", "*service_protocol[]", "service_port[]" ];
	row_num = $("#multicast_table tbody tr").length;
	fields = [
		$("<td>").append($("<input>").attr("type", "text").attr("name", `multicast[${row_num}][ip]`)),
		$("<td>").append($("<input>").attr("type", "text").attr("name", `multicast[${row_num}][port]`)),
		$("<td>").append($("<input>").attr("type", "checkbox").attr("name", `multicast[${row_num}][enabled]`).
				attr('checked', 'checked').addClass("chk_new chk-repeat")),
	]

	button = $("<button>")
		.addClass("btn btn-danger btn-xs")
		.attr("type", "button")
		.click(function () {
			multicast_del(this);
		})
		.append(
			$("<i>")
				.addClass("glyphicon glyphicon-trash")
		);
	row = $("<tr>").append(fields).append($("<td>").append(button));
	$(element).closest("table").find("tbody").append(row);

    // Initialize bootstrap toggle on the "enabled" checkbox in the new multicast row.
    // This is needed because it wasn't there when the page was first loaded.
	chk_box = row.find('input[type=checkbox].chk-repeat');
	chk_box.bootstrapToggle('destroy'); // destroy any existing toggle
	chk_box.bootstrapToggle({
		onstyle: 'success',
		width: 70
	}); // re-initialize toggle with our desired options

	$("#multicast_table tbody").sortable();
}

function multicast_del(element) {
	row = $(element).closest("tr");
	row.remove();
}
