use `ombutel`;

alter table `ombu_contact_book` drop foreign key `ombu_contact_book_ibfk_1`;
alter table `ombu_devices` drop foreign key `ombu_devices_ibfk_1`;
alter table `ombu_extension_diversions` drop foreign key `ombu_extension_diversions_ibfk_1`;
alter table `ombu_extensions_portal` drop foreign key `ombu_extensions_portal_ibfk_1`;
alter table `ombu_extensions_vm` drop foreign key `ombu_extensions_vm_ibfk_1`;
alter table `ombu_followme` drop foreign key `ombu_followme_ibfk_1`;
alter table `ombu_masive_voicemail_extensions` drop foreign key `ombu_masive_voicemail_extensions_ibfk_2`;
alter table `ombu_paging_extensions` drop foreign key `ombu_paging_extensions_ibfk_2`;
alter table `ombu_pickup_group_extensions` drop foreign key `ombu_pickup_group_extensions_ibfk_2`;
alter table `ombu_queues_members` drop foreign key `ombu_queues_members_ibfk_2`;
alter table `ombu_ring_groups_extensions` drop foreign key `ombu_ring_groups_extensions_ibfk_2`;
alter table `xepm_device_extensions` drop foreign key `xepm_device_extensions_ibfk_1`;

alter table `ombu_extensions` change column `id` `extension_id` int unsigned not null auto_increment;
alter table `xepm_device_extensions` change column `id` `extension_id` int unsigned not null auto_increment;

alter table `ombu_contact_book` add foreign key (`extension_id`) references `ombu_extensions` (`extension_id`) on delete cascade;
alter table `ombu_devices` add foreign key (`extension_id`) references `ombu_extensions` (`extension_id`) on delete cascade;
alter table `ombu_extension_diversions` add foreign key (`extension_id`) references `ombu_extensions` (`extension_id`) on delete cascade;
alter table `ombu_extensions_portal` add foreign key (`extension_id`) references `ombu_extensions` (`extension_id`) on delete cascade;
alter table `ombu_extensions_vm` add foreign key (`extension_id`) references `ombu_extensions` (`extension_id`) on delete cascade;
alter table `ombu_followme` add foreign key (`extension_id`) references `ombu_extensions` (`extension_id`) on delete cascade;
alter table `ombu_masive_voicemail_extensions` add foreign key (`extension_id`) references `ombu_extensions` (`extension_id`) on delete cascade;
alter table `ombu_paging_extensions` add foreign key (`extension_id`) references `ombu_extensions` (`extension_id`) on delete cascade;
alter table `ombu_pickup_group_extensions` add foreign key (`extension_id`) references `ombu_extensions` (`extension_id`) on delete cascade;
alter table `ombu_queues_members` add foreign key (`extension_id`) references `ombu_extensions` (`extension_id`) on delete cascade;
alter table `ombu_ring_groups_extensions` add foreign key (`extension_id`) references `ombu_extensions` (`extension_id`) on delete cascade;
alter table `xepm_device_extensions` add foreign key (`extension_id`) references `ombu_extensions` (`extension_id`) on delete cascade;
