update (
	select "menu.account_codes" as `new`, "Account Code" as `old` union all
	select "menu.admin", "Admin" union all
	select "menu.alerts", "Alerts" union all
	select "menu.announcements", "Announcements" union all
	select "menu.applications", "Applications" union all
	select "menu.asterisk_manager_users", "Asterisk Manager Users" union all
	select "menu.asterisk_cli", "Asterisk CLI" union all
	select "menu.authorization_codes", "Authorization Code" union all
	select "menu.blacklist", "Blacklist" union all
	select "menu.bulk_modification", "Bulk Modification" union all
	select "menu.callcenter", "Call Center" union all
	select "menu.call_back", "Call Back" union all
	select "menu.cdr", "CDR" union all
	select "menu.cdr_filters", "Report Filters" union all
	select "menu.cdr_reports", "CDR Reports" union all
	select "menu.channel_groups", "Channel Groups" union all
	select "menu.class_of_service", "Class of Service" union all
	select "menu.clock_sources", "Clock Sources" union all
	select "menu.conferences", "Conferences" union all
	select "menu.configure", "Configure" union all
	select "menu.create_template", "Create Template" union all
	select "menu.custom_applications", "Custom Applications" union all
	select "menu.custom_destinations", "Custom Destinations" union all
	select "menu.dashboard", "Dashboard" union all
	select "menu.device_mapping", "Device Mapping" union all
	select "menu.dhcp_settings", "DHCP Settings" union all
	select "menu.dialing_restriction_rules", "Dialing Restriction Rules" union all
	select "menu.disa", "DISA" union all
	select "menu.dpma", "DPMA" union all
	select "menu.email_settings", "Email Settings" union all
	select "menu.endpoint_manager", "Endpoint Manager" union all
	select "menu.extensions", "Extensions" union all
	select "menu.extensions_status", "Extensions Status" union all
	select "menu.external", "External" union all
	select "menu.external_contacts", "External Contacts" union all
	select "menu.external_lines", "External Lines" union all
	select "menu.feature_categories", "Feature Category" union all
	select "menu.feature_codes", "Feature Codes" union all
	select "menu.firewall", "Firewall" union all
	select "menu.firmwares", "Firmwares" union all
	select "menu.general_settings", "General Settings" union all
	select "menu.host_settings", "Host Settings" union all
	select "menu.hot_desking", "Hot Desking" union all
	select "menu.iax_settings", "IAX2 Settings" union all
	select "menu.import_extensions", "Import Extensions" union all
	select "menu.inbound_routes", "Inbound Routes" union all
	select "menu.incoming_calls", "Incoming Calls" union all
	select "menu.interfaces", "Interfaces" union all
	select "menu.intrusion_detection", "Intrusion Detection" union all
	select "menu.ivr", "IVR" union all
	select "menu.languages", "Languages" union all
	select "menu.licenses", "Licenses" union all
	select "menu.log_files", "Log Files" union all
	select "menu.log_file_viewer", "Log File Viewer" union all
	select "menu.music_on_hold", "Music on Hold" union all
	select "menu.my_extension", "My Extension" union all
	select "menu.my_time_group", "My Time Group" union all
	select "menu.my_voicemail", "My Voicemail" union all
	select "menu.networks", "Networks" union all
	select "menu.network_settings", "Network Settings" union all
	select "menu.nightmode", "Night Mode" union all
	select "menu.outbound_routes", "Outbound Routes" union all
	select "menu.paging_and_intercom", "Paging & Intercom" union all
	select "menu.parking", "Parking" union all
	select "menu.pbx", "PBX" union all
	select "menu.pbx_settings", "PBX Settings" union all
	select "menu.phonebooks", "Phone Book" union all
	select "menu.phones", "Phones" union all
	select "menu.phone_profiles", "Phone Profiles" union all
	select "menu.pickup_groups", "Pickup Groups" union all
	select "menu.pin_lists", "PIN" union all
	select "menu.portal", "Portal" union all
	select "menu.profiles", "Profiles" union all
	select "menu.profile_assignments", "Profile Assignments" union all
	select "menu.queues", "Queues" union all
	select "menu.queue_priorities", "Queues Priority" union all
	select "menu.queue_vips", "Queues VIP" union all
	select "menu.recordings_management", "Recordings Management" union all
	select "menu.register_digium_products", "Register Digium Products" union all
	select "menu.reports", "Reports" union all
	select "menu.ringtones", "Ringtones" union all
	select "menu.ring_groups", "Ring Groups" union all
	select "menu.route_selections", "Route Selection" union all
	select "menu.security", "Security" union all
	select "menu.settings", "Settings" union all
	select "menu.sip_settings", "SIP Settings" union all
	select "menu.smart_blf", "Smart BLF" union all
	select "menu.speed_dialing", "Speed Dialing" union all
	select "menu.system_general", "System General" union all
	select "menu.system_misc", "System Misc" union all
	select "menu.system_settings", "System Settings" union all
	select "menu.technology_settings", "Technology Settings" union all
	select "menu.telephony", "Telephony" union all
	select "menu.telephony_settings", "Telephony Settings" union all
	select "menu.time_conditions", "Time Conditions" union all
	select "menu.time_groups", "Time Groups" union all
	select "menu.tools", "Tools" union all
	select "menu.translations", "Translations" union all
	select "menu.trunks", "Trunks" union all
	select "menu.users", "Users" union all
	select "menu.user_profiles", "User Profiles" union all
	select "menu.view_cdr", "View CDR" union all
	select "menu.voicemail_broadcast_groups", "Voicemail Broadcast Group" union all
	select "menu.voicemail_settings", "Voicemail Settings" union all
	select "menu.voicemail_timezones", "Voicemail Timezones" union all
	select "menu.weak_passwords", "Weak Password"
) as `labels`
left join `ombutel`.`ombu_menu` as `menu` on (`labels`.`old` = `menu`.`label`)
set `menu`.`label` = `labels`.`new`;
