select
	(select `brand_id` from `ombutel`.`xepm_brands` where `name` = 'Xorcom')
into @brand_21;
insert into `ombutel`.`xepm_models` (`brand_id`, `sip_lines`, `iax2_lines`, `max_modules`, `dss_buttons`, `name`)
select v.* from (
	select @brand_21 as `brand_id`, 3 as `sip_lines`, 0 as `iax2_lines`, 0 as `max_modules`, 0 as `dss_buttons`, 'XP0101G' as `name`
	union all select @brand_21, 6, 0, 6, 0, 'XP0121P'
) v left join `ombutel`.`xepm_models` m on (m.`brand_id` = v.`brand_id` and m.`name` = v.`name`)
where m.`model_id` is null;
select
	(select `model_id` from `ombutel`.`xepm_models` where `brand_id` = @brand_21 and `name` = 'XP0101G'),
	(select `model_id` from `ombutel`.`xepm_models` where `brand_id` = @brand_21 and `name` = 'XP0121P')
into @model_205,@model_206;
insert into `ombutel`.`xepm_configuration_types` (`model_id`, `ident`, `name`)
select v.* from (
	select @model_205 as `model_id`, 'v80' as `ident`, 'V80' as `name`
	union all select @model_206, 'v80', 'V80'
) v left join `ombutel`.`xepm_configuration_types` ct on (ct.`model_id` = v.`model_id` and ct.`ident` = v.`ident`)
where ct.`configuration_type_id` is null;
select
	(select `configuration_type_id` from `ombutel`.`xepm_configuration_types` where `model_id` = @model_205 and `ident` = 'v80'),
	(select `configuration_type_id` from `ombutel`.`xepm_configuration_types` where `model_id` = @model_206 and `ident` = 'v80')
into @configuration_type_214,@configuration_type_215;
select
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '0' and `name` = 'N/A'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '1' and `name` = 'Conference'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '10' and `name` = 'Call Park'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '11' and `name` = 'DTMF'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '12' and `name` = 'Voice Mail'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '13' and `name` = 'Speed Dial'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '14' and `name` = 'Intercom'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '15' and `name` = 'Line'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '16' and `name` = 'BLF'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '17' and `name` = 'URL'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '18' and `name` = 'Group Listening'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '2' and `name` = 'Forward'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '20' and `name` = 'Private Hold'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '22' and `name` = 'XML Group'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '23' and `name` = 'Group Pickup'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '24' and `name` = 'Multicast Paging'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '25' and `name` = 'Record'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '27' and `name` = 'XML Browser'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '3' and `name` = 'Transfer'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '34' and `name` = 'Hot Desking'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '35' and `name` = 'URL Record'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '38' and `name` = 'LDAP'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '39' and `name` = 'BLF List'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '4' and `name` = 'Hold'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '40' and `name` = 'Prefix'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '41' and `name` = 'Zero Touch'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '42' and `name` = 'ACD'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '45' and `name` = 'Local Group'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '5' and `name` = 'DND'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '50' and `name` = 'Phone Lock'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '61' and `name` = 'Directory'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '66' and `name` = 'Paging List'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '7' and `name` = 'ReCall'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '8' and `name` = 'SMS'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '9' and `name` = 'Direct Pickup'),
	(select `button_type_id` from `ombutel`.`xepm_button_types` where `ident` = '37' and `name` = 'Switch')
into @button_type_92,@button_type_9,@button_type_16,@button_type_17,@button_type_87,@button_type_19,@button_type_20,@button_type_21,@button_type_22,@button_type_3,@button_type_23,@button_type_10,@button_type_4,@button_type_88,@button_type_26,@button_type_34,@button_type_27,@button_type_31,@button_type_11,@button_type_28,@button_type_33,@button_type_32,@button_type_38,@button_type_12,@button_type_29,@button_type_90,@button_type_35,@button_type_30,@button_type_13,@button_type_91,@button_type_93,@button_type_94,@button_type_85,@button_type_8,@button_type_86,@button_type_37;
select
	(select `category_id` from `ombutel`.`xepm_button_categories` where `ident` = 'line'),
	(select `category_id` from `ombutel`.`xepm_button_categories` where `ident` = 'module')
into @button_category_2,@button_category_3;
insert into `ombutel`.`xepm_model_button_types` (`model_id`, `category_id`, `button_type_id`, `index`)
select v.* from (
	select @model_205 as `model_id`, @button_category_2 as `category_id`, @button_type_92 as `button_type_id`, 0 as `index`
	union all select @model_205, @button_category_2, @button_type_9, 1
	union all select @model_205, @button_category_2, @button_type_16, 2
	union all select @model_205, @button_category_2, @button_type_17, 3
	union all select @model_205, @button_category_2, @button_type_87, 4
	union all select @model_205, @button_category_2, @button_type_19, 5
	union all select @model_205, @button_category_2, @button_type_20, 6
	union all select @model_205, @button_category_2, @button_type_21, 7
	union all select @model_205, @button_category_2, @button_type_22, 8
	union all select @model_205, @button_category_2, @button_type_3, 9
	union all select @model_205, @button_category_2, @button_type_23, 10
	union all select @model_205, @button_category_2, @button_type_10, 11
	union all select @model_205, @button_category_2, @button_type_4, 12
	union all select @model_205, @button_category_2, @button_type_88, 13
	union all select @model_205, @button_category_2, @button_type_26, 14
	union all select @model_205, @button_category_2, @button_type_34, 15
	union all select @model_205, @button_category_2, @button_type_27, 16
	union all select @model_205, @button_category_2, @button_type_31, 17
	union all select @model_205, @button_category_2, @button_type_11, 18
	union all select @model_205, @button_category_2, @button_type_28, 19
	union all select @model_205, @button_category_2, @button_type_33, 20
	union all select @model_205, @button_category_2, @button_type_32, 21
	union all select @model_205, @button_category_2, @button_type_38, 22
	union all select @model_205, @button_category_2, @button_type_12, 23
	union all select @model_205, @button_category_2, @button_type_29, 24
	union all select @model_205, @button_category_2, @button_type_90, 25
	union all select @model_205, @button_category_2, @button_type_35, 26
	union all select @model_205, @button_category_2, @button_type_30, 27
	union all select @model_205, @button_category_2, @button_type_13, 28
	union all select @model_205, @button_category_2, @button_type_91, 29
	union all select @model_205, @button_category_2, @button_type_93, 30
	union all select @model_205, @button_category_2, @button_type_94, 31
	union all select @model_205, @button_category_2, @button_type_85, 32
	union all select @model_205, @button_category_2, @button_type_8, 33
	union all select @model_205, @button_category_2, @button_type_86, 34
	union all select @model_206, @button_category_2, @button_type_92, 0
	union all select @model_206, @button_category_2, @button_type_9, 1
	union all select @model_206, @button_category_2, @button_type_16, 2
	union all select @model_206, @button_category_2, @button_type_17, 3
	union all select @model_206, @button_category_2, @button_type_87, 4
	union all select @model_206, @button_category_2, @button_type_19, 5
	union all select @model_206, @button_category_2, @button_type_20, 6
	union all select @model_206, @button_category_2, @button_type_21, 7
	union all select @model_206, @button_category_2, @button_type_22, 8
	union all select @model_206, @button_category_2, @button_type_3, 9
	union all select @model_206, @button_category_2, @button_type_23, 10
	union all select @model_206, @button_category_2, @button_type_10, 11
	union all select @model_206, @button_category_2, @button_type_4, 12
	union all select @model_206, @button_category_2, @button_type_88, 13
	union all select @model_206, @button_category_2, @button_type_26, 14
	union all select @model_206, @button_category_2, @button_type_34, 15
	union all select @model_206, @button_category_2, @button_type_27, 16
	union all select @model_206, @button_category_2, @button_type_31, 17
	union all select @model_206, @button_category_2, @button_type_11, 18
	union all select @model_206, @button_category_2, @button_type_28, 19
	union all select @model_206, @button_category_2, @button_type_33, 20
	union all select @model_206, @button_category_2, @button_type_32, 21
	union all select @model_206, @button_category_2, @button_type_38, 22
	union all select @model_206, @button_category_2, @button_type_12, 23
	union all select @model_206, @button_category_2, @button_type_29, 24
	union all select @model_206, @button_category_2, @button_type_90, 25
	union all select @model_206, @button_category_2, @button_type_35, 26
	union all select @model_206, @button_category_2, @button_type_30, 27
	union all select @model_206, @button_category_2, @button_type_13, 28
	union all select @model_206, @button_category_2, @button_type_91, 29
	union all select @model_206, @button_category_2, @button_type_93, 30
	union all select @model_206, @button_category_2, @button_type_94, 31
	union all select @model_206, @button_category_2, @button_type_85, 32
	union all select @model_206, @button_category_2, @button_type_8, 33
	union all select @model_206, @button_category_2, @button_type_86, 34
	union all select @model_206, @button_category_3, @button_type_92, 0
	union all select @model_206, @button_category_3, @button_type_9, 1
	union all select @model_206, @button_category_3, @button_type_16, 2
	union all select @model_206, @button_category_3, @button_type_17, 3
	union all select @model_206, @button_category_3, @button_type_87, 4
	union all select @model_206, @button_category_3, @button_type_19, 5
	union all select @model_206, @button_category_3, @button_type_20, 6
	union all select @model_206, @button_category_3, @button_type_21, 7
	union all select @model_206, @button_category_3, @button_type_22, 8
	union all select @model_206, @button_category_3, @button_type_3, 9
	union all select @model_206, @button_category_3, @button_type_23, 10
	union all select @model_206, @button_category_3, @button_type_10, 11
	union all select @model_206, @button_category_3, @button_type_4, 12
	union all select @model_206, @button_category_3, @button_type_88, 13
	union all select @model_206, @button_category_3, @button_type_26, 14
	union all select @model_206, @button_category_3, @button_type_34, 15
	union all select @model_206, @button_category_3, @button_type_27, 16
	union all select @model_206, @button_category_3, @button_type_31, 17
	union all select @model_206, @button_category_3, @button_type_11, 18
	union all select @model_206, @button_category_3, @button_type_28, 19
	union all select @model_206, @button_category_3, @button_type_33, 20
	union all select @model_206, @button_category_3, @button_type_37, 21
	union all select @model_206, @button_category_3, @button_type_32, 22
	union all select @model_206, @button_category_3, @button_type_38, 23
	union all select @model_206, @button_category_3, @button_type_12, 24
	union all select @model_206, @button_category_3, @button_type_29, 25
	union all select @model_206, @button_category_3, @button_type_90, 26
	union all select @model_206, @button_category_3, @button_type_35, 27
	union all select @model_206, @button_category_3, @button_type_30, 28
	union all select @model_206, @button_category_3, @button_type_13, 29
	union all select @model_206, @button_category_3, @button_type_91, 30
	union all select @model_206, @button_category_3, @button_type_93, 31
	union all select @model_206, @button_category_3, @button_type_94, 32
	union all select @model_206, @button_category_3, @button_type_85, 33
	union all select @model_206, @button_category_3, @button_type_8, 34
	union all select @model_206, @button_category_3, @button_type_86, 35
) v left join `ombutel`.`xepm_model_button_types` mbt on (mbt.`model_id` = v.`model_id` and mbt.`category_id` = v.`category_id` and mbt.`button_type_id` = v.`button_type_id` and mbt.`index` = v.`index`)
where mbt.`model_id` is null;
select
	(select `line_id` from `ombutel`.`xepm_lines` where `ident` = '1' and `name` = 'Line 1'),
	(select `line_id` from `ombutel`.`xepm_lines` where `ident` = '2' and `name` = 'Line 2'),
	(select `line_id` from `ombutel`.`xepm_lines` where `ident` = '3' and `name` = 'Line 3'),
	(select `line_id` from `ombutel`.`xepm_lines` where `ident` = '4' and `name` = 'Line 4'),
	(select `line_id` from `ombutel`.`xepm_lines` where `ident` = '5' and `name` = 'Line 5'),
	(select `line_id` from `ombutel`.`xepm_lines` where `ident` = '6' and `name` = 'Line 6')
into @line_576,@line_586,@line_589,@line_592,@line_595,@line_598;
insert into `ombutel`.`xepm_model_lines` (`model_id`, `line_id`, `index`)
select v.* from (
	select @model_205 as `model_id`, @line_576 as `line_id`, 1857 as `index`
	union all select @model_205, @line_586, 1858
	union all select @model_205, @line_589, 1859
	union all select @model_206, @line_576, 1860
	union all select @model_206, @line_586, 1861
	union all select @model_206, @line_589, 1862
	union all select @model_206, @line_592, 1863
	union all select @model_206, @line_595, 1864
	union all select @model_206, @line_598, 1865
) v left join `ombutel`.`xepm_model_lines` ml on (ml.`model_id` = v.`model_id` and ml.`line_id` = v.`line_id`)
where ml.`model_id` is null;
select
	(select `module_id` from `ombutel`.`xepm_modules` where `name` = 'XP0020')
into @module_1;
insert into `ombutel`.`xepm_model_modules` (`model_id`, `module_id`)
select v.* from (
	select @model_205 as `model_id`, @module_1 as `module_id`
	union all select @model_206, @module_1
) v left join `ombutel`.`xepm_model_modules` mm on (mm.`model_id` = v.`model_id` and mm.`module_id` = v.`module_id`)
where mm.`model_id` is null;
