use `ombutel`;

-- allow feature codes to define exten
alter table `ombu_feature_codes` add column `exten` varchar(255) not null default 's' after `func`;

-- use the exten for nightmode all feature
update `ombu_feature_codes` set `exten` = 'nm-all', `param01` = null where `feature_name` = 'nm_all';

-- set the global state of the nigthmode all feature
select `module_id` into @module_id from `ombutel`.`ombu_modules` where `name` = 'ombutel';
insert ignore into `ombu_settings` (`module_id`, `name`, `value`) values (@module_id, 'nm_all_enabled', 'no');

-- change to non negative
alter table `ombu_nightmodes` change column `ignore_global_mode` `global_mode` enum('yes','no') COLLATE utf8_unicode_ci NOT NULL DEFAULT 'no';

-- flip logic
update `ombu_nightmodes` set `global_mode` = if(`global_mode`='yes','no','yes');
