insert into `ombutel`.`xepm_hosts` (`label`, `hostname`, `sip_port`, `iax2_port`, `http_port`, `https_port`, `default`)
select v.* from (
	select 'Default' `label`, 'example.com' `hostname`, 5060 `sip_port`, 4569 `iax2_port`, 80 `http_port`, 443 `https_port`, 'yes' `default`
) v
left join `ombutel`.`xepm_hosts` h on (h.`default` = 'yes')
where h.`host_id` is null;
select `host_id` into @default_host from `ombutel`.`xepm_hosts` where `default` = 'yes';
insert into `ombutel`.`xepm_brands` (`ident`, `name`)
select v.* from (
	select 'vtech' `ident`, 'Vtech' `name`
) v
left join `ombutel`.`xepm_brands` b on (b.`ident` = v.`ident`)
where b.`brand_id` is null;
select
	(select `brand_id` from `ombutel`.`xepm_brands` where `ident` = 'vtech')
into @brand_25;
insert into `ombutel`.`xepm_ouis` (`brand_id`, `value`)
select v.* from (
	select @brand_25 `brand_id`, 0x00122a `value`
	union all select @brand_25, 0x14aedb
) v
left join `ombutel`.`xepm_ouis` o on (o.`brand_id` = v.`brand_id` and o.`value` = v.`value`)
where o.`oui_id` is null;
insert into `ombutel`.`xepm_models` (`brand_id`, `ident`, `name`, `sip_lines`, `iax2_lines`, `max_modules`, `dss_buttons`)
select v.* from (
	select @brand_25 `brand_id`, 'ctms2412' `ident`, 'CTM-S2412' `name`, 1 `sip_lines`, 0 `iax2_lines`, 0 `max_modules`, 0 `dss_buttons`
) v
left join `ombutel`.`xepm_models` m on (m.`brand_id` = v.`brand_id` and m.`ident` = v.`ident`)
where m.`model_id` is null;
select
	(select `model_id` from `ombutel`.`xepm_models` where `brand_id` = @brand_25 and `ident` = 'ctms2412')
into @model_364;
insert into `ombutel`.`xepm_timezones` (`offset`, `name`, `value`)
select v.* from (
	select -39600 `offset`, 'Samoa' `name`, 'Pacific/Pago_Pago' `value`
	union all select -36000, 'United States-Alaska-Aleutian', 'America/Adak'
	union all select -36000, 'United States-Hawaii-Aleutian', 'Pacific/Honolulu'
	union all select -32400, 'United States-Alaska Time', 'America/Anchorage'
	union all select -28800, 'Canada(Vancouver,Whitehorse)', 'America/Vancouver'
	union all select -28800, 'Mexico(Tijuana,Mexicali)', 'America/Tijuana'
	union all select -28800, 'United States-Pacific Time', 'America/Los_Angeles'
	union all select -25200, 'Canada(Edmonton,Calgary)', 'America/Edmonton'
	union all select -25200, 'Mexico(Mazatlan,Chihuahua)', 'America/Chihuahua'
	union all select -25200, 'United States-MST no DST', 'America/Phoenix'
	union all select -25200, 'United States-Mountain Time', 'America/Denver'
	union all select -21600, 'Canada-Manitoba(Winnipeg)', 'America/Winnipeg'
	union all select -21600, 'Chile(Easter Islands)', 'Pacific/Easter'
	union all select -21600, 'Mexico(Mexico City,Acapulco)', 'America/Mexico_City'
	union all select -21600, 'United States-Central Time', 'America/Chicago'
	union all select -18000, 'Bahamas(Nassau)', 'America/Nassau'
	union all select -18000, 'Caicos', 'America/Grand_Turk'
	union all select -18000, 'Canada(Montreal,Ottawa,Quebec)', 'America/Montreal'
	union all select -18000, 'Cuba(Havana)', 'America/Havana'
	union all select -18000, 'United States-Eastern Time', 'America/New_York'
	union all select -16200, 'Venezuela(Caracas)', 'America/Caracas'
	union all select -14400, 'Canada(Halifax,Saint John)', 'America/Halifax'
	union all select -14400, 'Chile(Santiago)', 'America/Santiago'
	union all select -14400, 'Paraguay(Asuncion)', 'America/Asuncion'
	union all select -14400, 'Trinidad & Tobago', 'America/Port_of_Spain'
	union all select -14400, 'United Kingdom(Falkland Islands)', 'Atlantic/Stanley'
	union all select -14400, 'United Kingdom-Bermuda(Bermuda)', 'Atlantic/Bermuda'
	union all select -12600, 'Canada-New Foundland(St.Johns)', 'America/St_Johns'
	union all select -10800, 'Argentina(Buenos Aires)', 'America/Argentina/Buenos_Aires'
	union all select -10800, 'Brazil(DST)', 'America/Sao_Paulo'
	union all select -10800, 'Brazil(no DST)', 'America/Fortaleza'
	union all select -10800, 'Denmark-Greenland(Nuuk)', 'America/Godthab'
	union all select -7200, 'Brazil(no DST)', 'America/Noronha'
	union all select -3600, 'Portugal(Azores)', 'Atlantic/Azores'
	union all select 0, 'Denmark-Faroe Islands(Torshaven)', 'Atlantic/Faroe'
	union all select 0, 'GMT', 'GMT'
	union all select 0, 'Greenland', 'America/Danmarkshavn'
	union all select 0, 'Ireland(Dublin)', 'Europe/Dublin'
	union all select 0, 'Morocco', 'Africa/Casablanca'
	union all select 0, 'Portugal(Lisbon,Porto,Funchal)', 'Europe/Lisbon'
	union all select 0, 'Spain-Canary Islands(Las Palmas)', 'Atlantic/Canary'
	union all select 0, 'United Kingdom(London)', 'Europe/London'
	union all select 3600, 'Albania(Tirana)', 'Europe/Tirane'
	union all select 3600, 'Austria(Vienna)', 'Europe/Vienna'
	union all select 3600, 'Belgium(Brussels)', 'Europe/Brussels'
	union all select 3600, 'Croatia(Zagreb)', 'Europe/Zagreb'
	union all select 3600, 'Czech Republic(Prague)', 'Europe/Prague'
	union all select 3600, 'Denmark(Copenhagen)', 'Europe/Copenhagen'
	union all select 3600, 'France(Nice)', 'Europe/Paris'
	union all select 3600, 'Germany(Berlin)', 'Europe/Berlin'
	union all select 3600, 'Hungary(Budapest)', 'Europe/Budapest'
	union all select 3600, 'Italy(Rome)', 'Europe/Rome'
	union all select 3600, 'Luxembourg(Luxembourg)', 'Europe/Luxembourg'
	union all select 3600, 'Macedonia(Skopje)', 'Europe/Skopje'
	union all select 3600, 'Namibia(Windhoek)', 'Africa/Windhoek'
	union all select 3600, 'Netherlands(Amsterdam)', 'Europe/Amsterdam'
	union all select 7200, 'Estonia(Tallinn)', 'Europe/Tallinn'
	union all select 7200, 'Finland(Helsinki)', 'Europe/Helsinki'
	union all select 7200, 'Gaza Strip(Gaza)', 'Asia/Gaza'
	union all select 7200, 'Greece(Athens)', 'Europe/Athens'
	union all select 7200, 'Israel(Tel Aviv)', 'Asia/Jerusalem'
	union all select 7200, 'Jordan(Amman)', 'Asia/Amman'
	union all select 7200, 'Latvia(Riga)', 'Europe/Riga'
	union all select 7200, 'Lebanon(Beirut)', 'Asia/Beirut'
	union all select 7200, 'Moldova(Kishinev)', 'Europe/Chisinau'
	union all select 7200, 'Romania(Bucharest)', 'Europe/Bucharest'
	union all select 7200, 'Russia(Kaliningrad)', 'Europe/Kaliningrad'
	union all select 7200, 'Syria(Damascus)', 'Asia/Damascus'
	union all select 7200, 'Turkey(Ankara)', 'Europe/Istanbul'
	union all select 7200, 'Ukraine(Kyiv,Odessa)', 'Europe/Kiev'
	union all select 10800, 'East Africa Time', 'Africa/Djibouti'
	union all select 10800, 'Iraq(Baghdad)', 'Asia/Baghdad'
	union all select 10800, 'Russia(Moscow)', 'Europe/Moscow'
	union all select 12600, 'Iran(Tehran)', 'Asia/Tehran'
	union all select 14400, 'Armenia(Yerevan)', 'Asia/Yerevan'
	union all select 14400, 'Azerbaijan(Baku)', 'Asia/Baku'
	union all select 14400, 'Georgia(Tbilisi)', 'Asia/Tbilisi'
	union all select 14400, 'Kazakstan(Aktau)', 'Asia/Aqtau'
	union all select 14400, 'Russia(Samara)', 'Europe/Samara'
	union all select 18000, 'Kazakstan(Aktobe)', 'Asia/Aqtobe'
	union all select 18000, 'Kyrgyzstan(Bishkek)', 'Asia/Bishkek'
	union all select 18000, 'Pakistan(Islamabad)', 'Asia/Karachi'
	union all select 18000, 'Russia(Chelyabinsk)', 'Asia/Yekaterinburg'
	union all select 19800, 'India(Calcutta)', 'Asia/Kolkata'
	union all select 21600, 'Kazakstan(Astana,Almaty)', 'Asia/Almaty'
	union all select 21600, 'Russia(Novosibirsk,Omsk)', 'Asia/Novosibirsk'
	union all select 25200, 'Russia(Krasnoyarsk)', 'Asia/Krasnoyarsk'
	union all select 25200, 'Thailand(Bangkok)', 'Asia/Bangkok'
	union all select 28800, 'Australia(Perth)', 'Australia/Perth'
	union all select 28800, 'China(Beijing)', 'Asia/Shanghai'
	union all select 28800, 'Singapore(Singapore)', 'Asia/Singapore'
	union all select 32400, 'Japan(Tokyo)', 'Asia/Tokyo'
	union all select 32400, 'Korea(Seoul)', 'Asia/Seoul'
	union all select 34200, 'Australia(Adelaide)', 'Australia/Adelaide'
	union all select 34200, 'Australia(Darwin)', 'Australia/Darwin'
	union all select 36000, 'Australia(Brisbane)', 'Australia/Brisbane'
	union all select 36000, 'Australia(Hobart)', 'Australia/Hobart'
	union all select 36000, 'Australia(Sydney,Melbourne,Canberra)', 'Australia/Sydney'
	union all select 36000, 'Russia(Vladivostok)', 'Asia/Vladivostok'
	union all select 37800, 'Australia(Lord Howe Islands)', 'Australia/Lord_Howe'
	union all select 39600, 'New Caledonia(Noumea)', 'Pacific/Noumea'
	union all select 43200, 'New Zealand(Wellington,Auckland)', 'Pacific/Auckland'
	union all select 45900, 'New Zealand(Chatham Islands)', 'Pacific/Chatham'
	union all select 46800, 'Tonga(Nukualofa)', 'Pacific/Tongatapu'
) v
left join `ombutel`.`xepm_timezones` t on (t.`offset` = v.`offset` and t.`name` = v.`name` and t.`value` = v.`value`)
where t.`timezone_id` is null;
select
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = -39600 and `name` = 'Samoa' and `value` = 'Pacific/Pago_Pago'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = -36000 and `name` = 'United States-Alaska-Aleutian' and `value` = 'America/Adak'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = -36000 and `name` = 'United States-Hawaii-Aleutian' and `value` = 'Pacific/Honolulu'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = -32400 and `name` = 'United States-Alaska Time' and `value` = 'America/Anchorage'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = -28800 and `name` = 'Canada(Vancouver,Whitehorse)' and `value` = 'America/Vancouver'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = -28800 and `name` = 'Mexico(Tijuana,Mexicali)' and `value` = 'America/Tijuana'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = -28800 and `name` = 'United States-Pacific Time' and `value` = 'America/Los_Angeles'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = -25200 and `name` = 'Canada(Edmonton,Calgary)' and `value` = 'America/Edmonton'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = -25200 and `name` = 'Mexico(Mazatlan,Chihuahua)' and `value` = 'America/Chihuahua'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = -25200 and `name` = 'United States-MST no DST' and `value` = 'America/Phoenix'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = -25200 and `name` = 'United States-Mountain Time' and `value` = 'America/Denver'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = -21600 and `name` = 'Canada-Manitoba(Winnipeg)' and `value` = 'America/Winnipeg'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = -21600 and `name` = 'Chile(Easter Islands)' and `value` = 'Pacific/Easter'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = -21600 and `name` = 'Mexico(Mexico City,Acapulco)' and `value` = 'America/Mexico_City'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = -21600 and `name` = 'United States-Central Time' and `value` = 'America/Chicago'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = -18000 and `name` = 'Bahamas(Nassau)' and `value` = 'America/Nassau'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = -18000 and `name` = 'Caicos' and `value` = 'America/Grand_Turk'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = -18000 and `name` = 'Canada(Montreal,Ottawa,Quebec)' and `value` = 'America/Montreal'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = -18000 and `name` = 'Cuba(Havana)' and `value` = 'America/Havana'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = -18000 and `name` = 'United States-Eastern Time' and `value` = 'America/New_York'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = -16200 and `name` = 'Venezuela(Caracas)' and `value` = 'America/Caracas'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = -14400 and `name` = 'Canada(Halifax,Saint John)' and `value` = 'America/Halifax'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = -14400 and `name` = 'Chile(Santiago)' and `value` = 'America/Santiago'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = -14400 and `name` = 'Paraguay(Asuncion)' and `value` = 'America/Asuncion'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = -14400 and `name` = 'Trinidad & Tobago' and `value` = 'America/Port_of_Spain'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = -14400 and `name` = 'United Kingdom(Falkland Islands)' and `value` = 'Atlantic/Stanley'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = -14400 and `name` = 'United Kingdom-Bermuda(Bermuda)' and `value` = 'Atlantic/Bermuda'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = -12600 and `name` = 'Canada-New Foundland(St.Johns)' and `value` = 'America/St_Johns'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = -10800 and `name` = 'Argentina(Buenos Aires)' and `value` = 'America/Argentina/Buenos_Aires'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = -10800 and `name` = 'Brazil(DST)' and `value` = 'America/Sao_Paulo'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = -10800 and `name` = 'Brazil(no DST)' and `value` = 'America/Fortaleza'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = -10800 and `name` = 'Denmark-Greenland(Nuuk)' and `value` = 'America/Godthab'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = -7200 and `name` = 'Brazil(no DST)' and `value` = 'America/Noronha'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = -3600 and `name` = 'Portugal(Azores)' and `value` = 'Atlantic/Azores'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 0 and `name` = 'Denmark-Faroe Islands(Torshaven)' and `value` = 'Atlantic/Faroe'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 0 and `name` = 'GMT' and `value` = 'GMT'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 0 and `name` = 'Greenland' and `value` = 'America/Danmarkshavn'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 0 and `name` = 'Ireland(Dublin)' and `value` = 'Europe/Dublin'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 0 and `name` = 'Morocco' and `value` = 'Africa/Casablanca'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 0 and `name` = 'Portugal(Lisbon,Porto,Funchal)' and `value` = 'Europe/Lisbon'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 0 and `name` = 'Spain-Canary Islands(Las Palmas)' and `value` = 'Atlantic/Canary'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 0 and `name` = 'United Kingdom(London)' and `value` = 'Europe/London'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 3600 and `name` = 'Albania(Tirana)' and `value` = 'Europe/Tirane'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 3600 and `name` = 'Austria(Vienna)' and `value` = 'Europe/Vienna'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 3600 and `name` = 'Belgium(Brussels)' and `value` = 'Europe/Brussels'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 3600 and `name` = 'Croatia(Zagreb)' and `value` = 'Europe/Zagreb'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 3600 and `name` = 'Czech Republic(Prague)' and `value` = 'Europe/Prague'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 3600 and `name` = 'Denmark(Copenhagen)' and `value` = 'Europe/Copenhagen'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 3600 and `name` = 'France(Nice)' and `value` = 'Europe/Paris'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 3600 and `name` = 'Germany(Berlin)' and `value` = 'Europe/Berlin'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 3600 and `name` = 'Hungary(Budapest)' and `value` = 'Europe/Budapest'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 3600 and `name` = 'Italy(Rome)' and `value` = 'Europe/Rome'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 3600 and `name` = 'Luxembourg(Luxembourg)' and `value` = 'Europe/Luxembourg'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 3600 and `name` = 'Macedonia(Skopje)' and `value` = 'Europe/Skopje'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 3600 and `name` = 'Namibia(Windhoek)' and `value` = 'Africa/Windhoek'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 3600 and `name` = 'Netherlands(Amsterdam)' and `value` = 'Europe/Amsterdam'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 7200 and `name` = 'Estonia(Tallinn)' and `value` = 'Europe/Tallinn'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 7200 and `name` = 'Finland(Helsinki)' and `value` = 'Europe/Helsinki'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 7200 and `name` = 'Gaza Strip(Gaza)' and `value` = 'Asia/Gaza'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 7200 and `name` = 'Greece(Athens)' and `value` = 'Europe/Athens'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 7200 and `name` = 'Israel(Tel Aviv)' and `value` = 'Asia/Jerusalem'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 7200 and `name` = 'Jordan(Amman)' and `value` = 'Asia/Amman'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 7200 and `name` = 'Latvia(Riga)' and `value` = 'Europe/Riga'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 7200 and `name` = 'Lebanon(Beirut)' and `value` = 'Asia/Beirut'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 7200 and `name` = 'Moldova(Kishinev)' and `value` = 'Europe/Chisinau'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 7200 and `name` = 'Romania(Bucharest)' and `value` = 'Europe/Bucharest'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 7200 and `name` = 'Russia(Kaliningrad)' and `value` = 'Europe/Kaliningrad'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 7200 and `name` = 'Syria(Damascus)' and `value` = 'Asia/Damascus'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 7200 and `name` = 'Turkey(Ankara)' and `value` = 'Europe/Istanbul'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 7200 and `name` = 'Ukraine(Kyiv,Odessa)' and `value` = 'Europe/Kiev'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 10800 and `name` = 'East Africa Time' and `value` = 'Africa/Djibouti'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 10800 and `name` = 'Iraq(Baghdad)' and `value` = 'Asia/Baghdad'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 10800 and `name` = 'Russia(Moscow)' and `value` = 'Europe/Moscow'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 12600 and `name` = 'Iran(Tehran)' and `value` = 'Asia/Tehran'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 14400 and `name` = 'Armenia(Yerevan)' and `value` = 'Asia/Yerevan'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 14400 and `name` = 'Azerbaijan(Baku)' and `value` = 'Asia/Baku'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 14400 and `name` = 'Georgia(Tbilisi)' and `value` = 'Asia/Tbilisi'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 14400 and `name` = 'Kazakstan(Aktau)' and `value` = 'Asia/Aqtau'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 14400 and `name` = 'Russia(Samara)' and `value` = 'Europe/Samara'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 18000 and `name` = 'Kazakstan(Aktobe)' and `value` = 'Asia/Aqtobe'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 18000 and `name` = 'Kyrgyzstan(Bishkek)' and `value` = 'Asia/Bishkek'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 18000 and `name` = 'Pakistan(Islamabad)' and `value` = 'Asia/Karachi'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 18000 and `name` = 'Russia(Chelyabinsk)' and `value` = 'Asia/Yekaterinburg'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 19800 and `name` = 'India(Calcutta)' and `value` = 'Asia/Kolkata'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 21600 and `name` = 'Kazakstan(Astana,Almaty)' and `value` = 'Asia/Almaty'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 21600 and `name` = 'Russia(Novosibirsk,Omsk)' and `value` = 'Asia/Novosibirsk'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 25200 and `name` = 'Russia(Krasnoyarsk)' and `value` = 'Asia/Krasnoyarsk'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 25200 and `name` = 'Thailand(Bangkok)' and `value` = 'Asia/Bangkok'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 28800 and `name` = 'Australia(Perth)' and `value` = 'Australia/Perth'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 28800 and `name` = 'China(Beijing)' and `value` = 'Asia/Shanghai'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 28800 and `name` = 'Singapore(Singapore)' and `value` = 'Asia/Singapore'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 32400 and `name` = 'Japan(Tokyo)' and `value` = 'Asia/Tokyo'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 32400 and `name` = 'Korea(Seoul)' and `value` = 'Asia/Seoul'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 34200 and `name` = 'Australia(Adelaide)' and `value` = 'Australia/Adelaide'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 34200 and `name` = 'Australia(Darwin)' and `value` = 'Australia/Darwin'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 36000 and `name` = 'Australia(Brisbane)' and `value` = 'Australia/Brisbane'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 36000 and `name` = 'Australia(Hobart)' and `value` = 'Australia/Hobart'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 36000 and `name` = 'Australia(Sydney,Melbourne,Canberra)' and `value` = 'Australia/Sydney'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 36000 and `name` = 'Russia(Vladivostok)' and `value` = 'Asia/Vladivostok'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 37800 and `name` = 'Australia(Lord Howe Islands)' and `value` = 'Australia/Lord_Howe'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 39600 and `name` = 'New Caledonia(Noumea)' and `value` = 'Pacific/Noumea'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 43200 and `name` = 'New Zealand(Wellington,Auckland)' and `value` = 'Pacific/Auckland'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 45900 and `name` = 'New Zealand(Chatham Islands)' and `value` = 'Pacific/Chatham'),
	(select `timezone_id` from `ombutel`.`xepm_timezones` where `offset` = 46800 and `name` = 'Tonga(Nukualofa)' and `value` = 'Pacific/Tongatapu')
into @timezone_907, @timezone_909, @timezone_908, @timezone_910, @timezone_911, @timezone_912, @timezone_913, @timezone_914, @timezone_915, @timezone_917, @timezone_916, @timezone_918, @timezone_919, @timezone_920, @timezone_921, @timezone_922, @timezone_924, @timezone_923, @timezone_925, @timezone_926, @timezone_927, @timezone_928, @timezone_929, @timezone_930, @timezone_933, @timezone_932, @timezone_931, @timezone_934, @timezone_936, @timezone_938, @timezone_937, @timezone_935, @timezone_939, @timezone_940, @timezone_943, @timezone_941, @timezone_942, @timezone_944, @timezone_948, @timezone_945, @timezone_946, @timezone_947, @timezone_949, @timezone_950, @timezone_951, @timezone_952, @timezone_953, @timezone_954, @timezone_955, @timezone_956, @timezone_957, @timezone_958, @timezone_959, @timezone_960, @timezone_962, @timezone_961, @timezone_963, @timezone_964, @timezone_965, @timezone_966, @timezone_967, @timezone_968, @timezone_969, @timezone_970, @timezone_971, @timezone_973, @timezone_972, @timezone_974, @timezone_975, @timezone_976, @timezone_977, @timezone_978, @timezone_979, @timezone_980, @timezone_981, @timezone_982, @timezone_983, @timezone_984, @timezone_985, @timezone_986, @timezone_987, @timezone_988, @timezone_989, @timezone_990, @timezone_991, @timezone_992, @timezone_993, @timezone_994, @timezone_997, @timezone_995, @timezone_996, @timezone_999, @timezone_998, @timezone_1000, @timezone_1001, @timezone_1003, @timezone_1004, @timezone_1002, @timezone_1005, @timezone_1006, @timezone_1007, @timezone_1008, @timezone_1009, @timezone_1010;
insert into `ombutel`.`xepm_setting_types` (`ident`, `name`)
select v.* from (
	select 'other' `ident`, 'Generic' `name`
) v
left join `ombutel`.`xepm_setting_types` st on (st.`ident` = v.`ident`)
where st.`setting_type_id` is null;
select
	(select `setting_type_id` from `ombutel`.`xepm_setting_types` where `ident` = 'other')
into @setting_type_35;
insert into `ombutel`.`xepm_configuration_types` (`model_id`, `ident`, `name`)
select v.* from (
	select @model_364 `model_id`, 'generic' `ident`, 'Generic' `name`
) v
left join `ombutel`.`xepm_configuration_types` ct on (ct.`model_id` = v.`model_id` and ct.`ident` = v.`ident`)
where ct.`configuration_type_id` is null;
select
	(select `configuration_type_id` from `ombutel`.`xepm_configuration_types` where `model_id` = @model_364 and `ident` = 'generic')
into @configuration_type_355;
insert into `ombutel`.`xepm_model_timezones` (`model_id`, `timezone_id`)
select v.* from (
	select @model_364 `model_id`, @timezone_907 `timezone_id`
	union all select @model_364, @timezone_908
	union all select @model_364, @timezone_909
	union all select @model_364, @timezone_910
	union all select @model_364, @timezone_911
	union all select @model_364, @timezone_912
	union all select @model_364, @timezone_913
	union all select @model_364, @timezone_914
	union all select @model_364, @timezone_915
	union all select @model_364, @timezone_916
	union all select @model_364, @timezone_917
	union all select @model_364, @timezone_918
	union all select @model_364, @timezone_919
	union all select @model_364, @timezone_920
	union all select @model_364, @timezone_921
	union all select @model_364, @timezone_922
	union all select @model_364, @timezone_923
	union all select @model_364, @timezone_924
	union all select @model_364, @timezone_925
	union all select @model_364, @timezone_926
	union all select @model_364, @timezone_927
	union all select @model_364, @timezone_928
	union all select @model_364, @timezone_929
	union all select @model_364, @timezone_930
	union all select @model_364, @timezone_931
	union all select @model_364, @timezone_932
	union all select @model_364, @timezone_933
	union all select @model_364, @timezone_934
	union all select @model_364, @timezone_935
	union all select @model_364, @timezone_936
	union all select @model_364, @timezone_937
	union all select @model_364, @timezone_938
	union all select @model_364, @timezone_939
	union all select @model_364, @timezone_940
	union all select @model_364, @timezone_941
	union all select @model_364, @timezone_942
	union all select @model_364, @timezone_943
	union all select @model_364, @timezone_944
	union all select @model_364, @timezone_945
	union all select @model_364, @timezone_946
	union all select @model_364, @timezone_947
	union all select @model_364, @timezone_948
	union all select @model_364, @timezone_949
	union all select @model_364, @timezone_950
	union all select @model_364, @timezone_951
	union all select @model_364, @timezone_952
	union all select @model_364, @timezone_953
	union all select @model_364, @timezone_954
	union all select @model_364, @timezone_955
	union all select @model_364, @timezone_956
	union all select @model_364, @timezone_957
	union all select @model_364, @timezone_958
	union all select @model_364, @timezone_959
	union all select @model_364, @timezone_960
	union all select @model_364, @timezone_961
	union all select @model_364, @timezone_962
	union all select @model_364, @timezone_963
	union all select @model_364, @timezone_964
	union all select @model_364, @timezone_965
	union all select @model_364, @timezone_966
	union all select @model_364, @timezone_967
	union all select @model_364, @timezone_968
	union all select @model_364, @timezone_969
	union all select @model_364, @timezone_970
	union all select @model_364, @timezone_971
	union all select @model_364, @timezone_972
	union all select @model_364, @timezone_973
	union all select @model_364, @timezone_974
	union all select @model_364, @timezone_975
	union all select @model_364, @timezone_976
	union all select @model_364, @timezone_977
	union all select @model_364, @timezone_978
	union all select @model_364, @timezone_979
	union all select @model_364, @timezone_980
	union all select @model_364, @timezone_981
	union all select @model_364, @timezone_982
	union all select @model_364, @timezone_983
	union all select @model_364, @timezone_984
	union all select @model_364, @timezone_985
	union all select @model_364, @timezone_986
	union all select @model_364, @timezone_987
	union all select @model_364, @timezone_988
	union all select @model_364, @timezone_989
	union all select @model_364, @timezone_990
	union all select @model_364, @timezone_991
	union all select @model_364, @timezone_992
	union all select @model_364, @timezone_993
	union all select @model_364, @timezone_994
	union all select @model_364, @timezone_995
	union all select @model_364, @timezone_996
	union all select @model_364, @timezone_997
	union all select @model_364, @timezone_998
	union all select @model_364, @timezone_999
	union all select @model_364, @timezone_1000
	union all select @model_364, @timezone_1001
	union all select @model_364, @timezone_1002
	union all select @model_364, @timezone_1003
	union all select @model_364, @timezone_1004
	union all select @model_364, @timezone_1005
	union all select @model_364, @timezone_1006
	union all select @model_364, @timezone_1007
	union all select @model_364, @timezone_1008
	union all select @model_364, @timezone_1009
	union all select @model_364, @timezone_1010
) v
left join `ombutel`.`xepm_model_timezones` mt on (mt.`model_id` = v.`model_id` and mt.`timezone_id` = v.`timezone_id`)
where mt.`model_id` is null;
insert into `ombutel`.`xepm_settings` (`parent_id`, `configuration_type_id`, `setting_type_id`, `name`, `default`)
select v.* from (
	select null `parent_id`, @configuration_type_355 `configuration_type_id`, @setting_type_35 `setting_type_id`, 'audio' `name`, '' `default`
	union all select null, @configuration_type_355, @setting_type_35, 'call_settings', ''
	union all select null, @configuration_type_355, @setting_type_35, 'file', ''
	union all select null, @configuration_type_355, @setting_type_35, 'hotelphoneinfo', ''
	union all select null, @configuration_type_355, @setting_type_35, 'hs_settings', ''
	union all select null, @configuration_type_355, @setting_type_35, 'log', ''
	union all select null, @configuration_type_355, @setting_type_35, 'network', ''
	union all select null, @configuration_type_355, @setting_type_35, 'pfk', ''
	union all select null, @configuration_type_355, @setting_type_35, 'profile', ''
	union all select null, @configuration_type_355, @setting_type_35, 'provisioning', ''
	union all select null, @configuration_type_355, @setting_type_35, 'sip_account', ''
	union all select null, @configuration_type_355, @setting_type_35, 'speed_dial', ''
	union all select null, @configuration_type_355, @setting_type_35, 'system', ''
	union all select null, @configuration_type_355, @setting_type_35, 'time_date', ''
	union all select null, @configuration_type_355, @setting_type_35, 'tr069', ''
	union all select null, @configuration_type_355, @setting_type_35, 'trusted_ip', ''
	union all select null, @configuration_type_355, @setting_type_35, 'trusted_servers', ''
	union all select null, @configuration_type_355, @setting_type_35, 'user_pref', ''
	union all select null, @configuration_type_355, @setting_type_35, 'web', ''
	union all select null, @configuration_type_355, @setting_type_35, 'xml_app', ''
) v
left join `ombutel`.`xepm_settings` s on (s.`parent_id` <=> v.`parent_id` and s.`configuration_type_id` = v.`configuration_type_id` and s.`name` = v.`name`)
where s.`setting_id` is null;
select
	(select `setting_id` from `ombutel`.`xepm_settings` where `parent_id` is null and `configuration_type_id` = @configuration_type_355 and `name` = 'audio'),
	(select `setting_id` from `ombutel`.`xepm_settings` where `parent_id` is null and `configuration_type_id` = @configuration_type_355 and `name` = 'call_settings'),
	(select `setting_id` from `ombutel`.`xepm_settings` where `parent_id` is null and `configuration_type_id` = @configuration_type_355 and `name` = 'file'),
	(select `setting_id` from `ombutel`.`xepm_settings` where `parent_id` is null and `configuration_type_id` = @configuration_type_355 and `name` = 'hotelphoneinfo'),
	(select `setting_id` from `ombutel`.`xepm_settings` where `parent_id` is null and `configuration_type_id` = @configuration_type_355 and `name` = 'hs_settings'),
	(select `setting_id` from `ombutel`.`xepm_settings` where `parent_id` is null and `configuration_type_id` = @configuration_type_355 and `name` = 'log'),
	(select `setting_id` from `ombutel`.`xepm_settings` where `parent_id` is null and `configuration_type_id` = @configuration_type_355 and `name` = 'network'),
	(select `setting_id` from `ombutel`.`xepm_settings` where `parent_id` is null and `configuration_type_id` = @configuration_type_355 and `name` = 'pfk'),
	(select `setting_id` from `ombutel`.`xepm_settings` where `parent_id` is null and `configuration_type_id` = @configuration_type_355 and `name` = 'profile'),
	(select `setting_id` from `ombutel`.`xepm_settings` where `parent_id` is null and `configuration_type_id` = @configuration_type_355 and `name` = 'provisioning'),
	(select `setting_id` from `ombutel`.`xepm_settings` where `parent_id` is null and `configuration_type_id` = @configuration_type_355 and `name` = 'sip_account'),
	(select `setting_id` from `ombutel`.`xepm_settings` where `parent_id` is null and `configuration_type_id` = @configuration_type_355 and `name` = 'speed_dial'),
	(select `setting_id` from `ombutel`.`xepm_settings` where `parent_id` is null and `configuration_type_id` = @configuration_type_355 and `name` = 'system'),
	(select `setting_id` from `ombutel`.`xepm_settings` where `parent_id` is null and `configuration_type_id` = @configuration_type_355 and `name` = 'time_date'),
	(select `setting_id` from `ombutel`.`xepm_settings` where `parent_id` is null and `configuration_type_id` = @configuration_type_355 and `name` = 'tr069'),
	(select `setting_id` from `ombutel`.`xepm_settings` where `parent_id` is null and `configuration_type_id` = @configuration_type_355 and `name` = 'trusted_ip'),
	(select `setting_id` from `ombutel`.`xepm_settings` where `parent_id` is null and `configuration_type_id` = @configuration_type_355 and `name` = 'trusted_servers'),
	(select `setting_id` from `ombutel`.`xepm_settings` where `parent_id` is null and `configuration_type_id` = @configuration_type_355 and `name` = 'user_pref'),
	(select `setting_id` from `ombutel`.`xepm_settings` where `parent_id` is null and `configuration_type_id` = @configuration_type_355 and `name` = 'web'),
	(select `setting_id` from `ombutel`.`xepm_settings` where `parent_id` is null and `configuration_type_id` = @configuration_type_355 and `name` = 'xml_app')
into @setting_1020297, @setting_1020298, @setting_1020299, @setting_1020300, @setting_1020301, @setting_1020302, @setting_1020303, @setting_1020304, @setting_1020305, @setting_1020306, @setting_1020307, @setting_1020308, @setting_1020309, @setting_1020310, @setting_1020311, @setting_1020312, @setting_1020313, @setting_1020314, @setting_1020315, @setting_1020316;
insert into `ombutel`.`xepm_settings` (`parent_id`, `configuration_type_id`, `setting_type_id`, `name`, `default`)
select v.* from (
	select @setting_1020297 `parent_id`, @configuration_type_355 `configuration_type_id`, @setting_type_35 `setting_type_id`, 'audio.1.adaptive_jitter.max_delay' `name`, '' `default`
	union all select @setting_1020297, @configuration_type_355, @setting_type_35, 'audio.1.adaptive_jitter.min_delay', ''
	union all select @setting_1020297, @configuration_type_355, @setting_type_35, 'audio.1.adaptive_jitter.target_delay', ''
	union all select @setting_1020297, @configuration_type_355, @setting_type_35, 'audio.1.fixed_jitter.delay', ''
	union all select @setting_1020297, @configuration_type_355, @setting_type_35, 'audio.1.jitter_mode', ''
	union all select @setting_1020297, @configuration_type_355, @setting_type_35, 'audio.1.rtp.port_end', ''
	union all select @setting_1020297, @configuration_type_355, @setting_type_35, 'audio.1.rtp.port_start', ''
	union all select @setting_1020297, @configuration_type_355, @setting_type_35, 'audio.rtcp_xr.enable', ''
	union all select @setting_1020298, @configuration_type_355, @setting_type_35, 'call_settings.account.1.block_anonymous_enable', ''
	union all select @setting_1020298, @configuration_type_355, @setting_type_35, 'call_settings.account.1.dnd_enable', ''
	union all select @setting_1020298, @configuration_type_355, @setting_type_35, 'call_settings.account.1.dnd_incoming_calls', ''
	union all select @setting_1020298, @configuration_type_355, @setting_type_35, 'call_settings.account.1.outgoing_anonymous_enable', ''
	union all select @setting_1020298, @configuration_type_355, @setting_type_35, 'call_settings.hotline_delay', ''
	union all select @setting_1020298, @configuration_type_355, @setting_type_35, 'call_settings.hotline_enable', ''
	union all select @setting_1020298, @configuration_type_355, @setting_type_35, 'call_settings.hotline_number', ''
	union all select @setting_1020299, @configuration_type_355, @setting_type_35, 'file.hs_idle_logo', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.1.restaurant_description', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.1.restaurant_fax', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.1.restaurant_location', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.1.restaurant_name', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.1.restaurant_phone', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.1.restaurant_time', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.10.restaurant_description', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.10.restaurant_fax', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.10.restaurant_location', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.10.restaurant_name', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.10.restaurant_phone', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.10.restaurant_time', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.11.restaurant_description', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.11.restaurant_fax', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.11.restaurant_location', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.11.restaurant_name', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.11.restaurant_phone', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.11.restaurant_time', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.12.restaurant_description', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.12.restaurant_fax', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.12.restaurant_location', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.12.restaurant_name', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.12.restaurant_phone', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.12.restaurant_time', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.13.restaurant_description', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.13.restaurant_fax', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.13.restaurant_location', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.13.restaurant_name', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.13.restaurant_phone', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.13.restaurant_time', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.14.restaurant_description', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.14.restaurant_fax', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.14.restaurant_location', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.14.restaurant_name', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.14.restaurant_phone', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.14.restaurant_time', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.15.restaurant_description', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.15.restaurant_fax', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.15.restaurant_location', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.15.restaurant_name', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.15.restaurant_phone', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.15.restaurant_time', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.16.restaurant_description', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.16.restaurant_fax', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.16.restaurant_location', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.16.restaurant_name', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.16.restaurant_phone', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.16.restaurant_time', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.17.restaurant_description', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.17.restaurant_fax', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.17.restaurant_location', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.17.restaurant_name', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.17.restaurant_phone', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.17.restaurant_time', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.18.restaurant_description', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.18.restaurant_fax', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.18.restaurant_location', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.18.restaurant_name', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.18.restaurant_phone', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.18.restaurant_time', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.19.restaurant_description', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.19.restaurant_fax', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.19.restaurant_location', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.19.restaurant_name', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.19.restaurant_phone', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.19.restaurant_time', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.2.restaurant_description', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.2.restaurant_fax', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.2.restaurant_location', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.2.restaurant_name', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.2.restaurant_phone', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.2.restaurant_time', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.20.restaurant_description', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.20.restaurant_fax', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.20.restaurant_location', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.20.restaurant_name', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.20.restaurant_phone', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.20.restaurant_time', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.3.restaurant_description', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.3.restaurant_fax', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.3.restaurant_location', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.3.restaurant_name', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.3.restaurant_phone', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.3.restaurant_time', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.4.restaurant_description', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.4.restaurant_fax', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.4.restaurant_location', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.4.restaurant_name', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.4.restaurant_phone', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.4.restaurant_time', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.5.restaurant_description', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.5.restaurant_fax', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.5.restaurant_location', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.5.restaurant_name', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.5.restaurant_phone', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.5.restaurant_time', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.6.restaurant_description', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.6.restaurant_fax', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.6.restaurant_location', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.6.restaurant_name', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.6.restaurant_phone', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.6.restaurant_time', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.7.restaurant_description', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.7.restaurant_fax', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.7.restaurant_location', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.7.restaurant_name', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.7.restaurant_phone', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.7.restaurant_time', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.8.restaurant_description', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.8.restaurant_fax', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.8.restaurant_location', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.8.restaurant_name', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.8.restaurant_phone', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.8.restaurant_time', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.9.restaurant_description', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.9.restaurant_fax', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.9.restaurant_location', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.9.restaurant_name', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.9.restaurant_phone', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.9.restaurant_time', ''
	union all select @setting_1020300, @configuration_type_355, @setting_type_35, 'hotelphoneinfo.feature.transfer_number', ''
	union all select @setting_1020301, @configuration_type_355, @setting_type_35, 'hs_settings.1.assigned_account', ''
	union all select @setting_1020301, @configuration_type_355, @setting_type_35, 'hs_settings.1.default_account', ''
	union all select @setting_1020301, @configuration_type_355, @setting_type_35, 'hs_settings.1.handset_IPUI', ''
	union all select @setting_1020301, @configuration_type_355, @setting_type_35, 'hs_settings.1.handset_name', ''
	union all select @setting_1020301, @configuration_type_355, @setting_type_35, 'hs_settings.1.link_status', ''
	union all select @setting_1020301, @configuration_type_355, @setting_type_35, 'hs_settings.1.sw_ver', ''
	union all select @setting_1020301, @configuration_type_355, @setting_type_35, 'hs_settings.2.assigned_account', ''
	union all select @setting_1020301, @configuration_type_355, @setting_type_35, 'hs_settings.2.default_account', ''
	union all select @setting_1020301, @configuration_type_355, @setting_type_35, 'hs_settings.2.handset_IPUI', ''
	union all select @setting_1020301, @configuration_type_355, @setting_type_35, 'hs_settings.2.handset_name', ''
	union all select @setting_1020301, @configuration_type_355, @setting_type_35, 'hs_settings.2.link_status', ''
	union all select @setting_1020301, @configuration_type_355, @setting_type_35, 'hs_settings.2.sw_ver', ''
	union all select @setting_1020301, @configuration_type_355, @setting_type_35, 'hs_settings.3.assigned_account', ''
	union all select @setting_1020301, @configuration_type_355, @setting_type_35, 'hs_settings.3.default_account', ''
	union all select @setting_1020301, @configuration_type_355, @setting_type_35, 'hs_settings.3.handset_IPUI', ''
	union all select @setting_1020301, @configuration_type_355, @setting_type_35, 'hs_settings.3.handset_name', ''
	union all select @setting_1020301, @configuration_type_355, @setting_type_35, 'hs_settings.3.link_status', ''
	union all select @setting_1020301, @configuration_type_355, @setting_type_35, 'hs_settings.3.sw_ver', ''
	union all select @setting_1020301, @configuration_type_355, @setting_type_35, 'hs_settings.4.assigned_account', ''
	union all select @setting_1020301, @configuration_type_355, @setting_type_35, 'hs_settings.4.default_account', ''
	union all select @setting_1020301, @configuration_type_355, @setting_type_35, 'hs_settings.4.handset_IPUI', ''
	union all select @setting_1020301, @configuration_type_355, @setting_type_35, 'hs_settings.4.handset_name', ''
	union all select @setting_1020301, @configuration_type_355, @setting_type_35, 'hs_settings.4.link_status', ''
	union all select @setting_1020301, @configuration_type_355, @setting_type_35, 'hs_settings.4.sw_ver', ''
	union all select @setting_1020301, @configuration_type_355, @setting_type_35, 'hs_settings.handset_call_prefix.prefix_1', ''
	union all select @setting_1020301, @configuration_type_355, @setting_type_35, 'hs_settings.handset_call_prefix.prefix_2', ''
	union all select @setting_1020301, @configuration_type_355, @setting_type_35, 'hs_settings.handset_call_prefix.prefix_3', ''
	union all select @setting_1020301, @configuration_type_355, @setting_type_35, 'hs_settings.handset_eu_pin_code', ''
	union all select @setting_1020301, @configuration_type_355, @setting_type_35, 'hs_settings.menu_mask.handset_version', ''
	union all select @setting_1020301, @configuration_type_355, @setting_type_35, 'hs_settings.menu_mask.level1', ''
	union all select @setting_1020301, @configuration_type_355, @setting_type_35, 'hs_settings.menu_mask.level2', ''
	union all select @setting_1020301, @configuration_type_355, @setting_type_35, 'hs_settings.menu_mask.level3', ''
	union all select @setting_1020301, @configuration_type_355, @setting_type_35, 'hs_settings.rf_power', ''
	union all select @setting_1020302, @configuration_type_355, @setting_type_35, 'log.syslog_enable', ''
	union all select @setting_1020302, @configuration_type_355, @setting_type_35, 'log.syslog_level', ''
	union all select @setting_1020302, @configuration_type_355, @setting_type_35, 'log.syslog_server_address', ''
	union all select @setting_1020302, @configuration_type_355, @setting_type_35, 'log.syslog_server_port', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.1.wifi_apMac', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.1.wifi_password', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.1.wifi_security', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.1.wifi_ssid', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.10.wifi_apMac', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.10.wifi_password', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.10.wifi_security', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.10.wifi_ssid', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.2.wifi_apMac', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.2.wifi_password', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.2.wifi_security', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.2.wifi_ssid', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.3.wifi_apMac', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.3.wifi_password', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.3.wifi_security', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.3.wifi_ssid', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.4.wifi_apMac', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.4.wifi_password', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.4.wifi_security', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.4.wifi_ssid', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.5.wifi_apMac', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.5.wifi_password', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.5.wifi_security', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.5.wifi_ssid', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.6.wifi_apMac', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.6.wifi_password', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.6.wifi_security', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.6.wifi_ssid', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.7.wifi_apMac', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.7.wifi_password', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.7.wifi_security', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.7.wifi_ssid', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.8.wifi_apMac', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.8.wifi_password', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.8.wifi_security', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.8.wifi_ssid', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.9.wifi_apMac', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.9.wifi_password', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.9.wifi_security', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.9.wifi_ssid', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.dhcpv6_vendor_class_id', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.eapol.access_password', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.eapol.enable', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.eapol.identity', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.eapol.mode', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.eapol.peap_ca_path', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.eapol.peap_identity', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.eapol.peap_password', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.eapol.peap_verify_server_cert', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.eapol.tls_ca_path', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.eapol.tls_certificate', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.eapol.tls_identity', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.eapol.tls_privite_key', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.eapol.tls_privite_key_password', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.eapol.tls_verify_server_cert', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.ip.dns1', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.ip.dns2', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.ip.gateway_addr', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.ip.manually_configure_dns', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.ip.mode', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.ip.pppoe.access_password', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.ip.pppoe.service_name', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.ip.pppoe.username', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.ip.static_ip_addr', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.ip.subnet_mask', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.ip6.dns1', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.ip6.dns2', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.ip6.gateway_addr', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.ip6.manually_configure_dns', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.ip6.mode', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.ip6.prefix', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.ip6.static_ip_addr', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.lldp_med.enable', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.lldp_med.interval', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.user_class', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.vendor_class_id', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.vlan.wan.enable', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.vlan.wan.id', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.vlan.wan.priority', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.wifi_enable', ''
	union all select @setting_1020303, @configuration_type_355, @setting_type_35, 'network.wifi_mode', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.1.account', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.1.feature', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.1.label', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.1.quick_dial', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.10.account', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.10.feature', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.10.label', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.10.quick_dial', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.13.account', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.13.feature', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.13.label', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.13.quick_dial', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.14.account', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.14.feature', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.14.label', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.14.quick_dial', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.2.account', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.2.feature', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.2.label', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.2.quick_dial', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.3.account', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.3.feature', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.3.label', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.3.quick_dial', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.4.account', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.4.feature', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.4.label', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.4.quick_dial', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.5.account', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.5.feature', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.5.label', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.5.quick_dial', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.6.account', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.6.feature', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.6.label', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.6.quick_dial', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.7.account', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.7.feature', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.7.label', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.7.quick_dial', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.8.account', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.8.feature', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.8.label', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.8.quick_dial', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.9.account', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.9.feature', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.9.label', ''
	union all select @setting_1020304, @configuration_type_355, @setting_type_35, 'pfk.9.quick_dial', ''
	union all select @setting_1020305, @configuration_type_355, @setting_type_35, 'profile.admin.access_password', ''
	union all select @setting_1020306, @configuration_type_355, @setting_type_35, 'provisioning.bootup_check_enable', ''
	union all select @setting_1020306, @configuration_type_355, @setting_type_35, 'provisioning.check_trusted_certificate', ''
	union all select @setting_1020306, @configuration_type_355, @setting_type_35, 'provisioning.crypto_enable', ''
	union all select @setting_1020306, @configuration_type_355, @setting_type_35, 'provisioning.crypto_passphrase', ''
	union all select @setting_1020306, @configuration_type_355, @setting_type_35, 'provisioning.dhcp_option_enable', ''
	union all select @setting_1020306, @configuration_type_355, @setting_type_35, 'provisioning.dhcp_option_priority_1', ''
	union all select @setting_1020306, @configuration_type_355, @setting_type_35, 'provisioning.dhcp_option_priority_2', ''
	union all select @setting_1020306, @configuration_type_355, @setting_type_35, 'provisioning.dhcp_option_priority_3', ''
	union all select @setting_1020306, @configuration_type_355, @setting_type_35, 'provisioning.firmware_url', ''
	union all select @setting_1020306, @configuration_type_355, @setting_type_35, 'provisioning.fw_server_access_password', ''
	union all select @setting_1020306, @configuration_type_355, @setting_type_35, 'provisioning.fw_server_username', ''
	union all select @setting_1020306, @configuration_type_355, @setting_type_35, 'provisioning.handset_firmware_url', ''
	union all select @setting_1020306, @configuration_type_355, @setting_type_35, 'provisioning.pnp_enable', ''
	union all select @setting_1020306, @configuration_type_355, @setting_type_35, 'provisioning.pnp_response_timeout', ''
	union all select @setting_1020306, @configuration_type_355, @setting_type_35, 'provisioning.provision_priority_1', ''
	union all select @setting_1020306, @configuration_type_355, @setting_type_35, 'provisioning.provision_priority_2', ''
	union all select @setting_1020306, @configuration_type_355, @setting_type_35, 'provisioning.provision_priority_3', ''
	union all select @setting_1020306, @configuration_type_355, @setting_type_35, 'provisioning.remote_check_sync_enable', ''
	union all select @setting_1020306, @configuration_type_355, @setting_type_35, 'provisioning.resync_mode', ''
	union all select @setting_1020306, @configuration_type_355, @setting_type_35, 'provisioning.resync_time', ''
	union all select @setting_1020306, @configuration_type_355, @setting_type_35, 'provisioning.schedule_mode', ''
	union all select @setting_1020306, @configuration_type_355, @setting_type_35, 'provisioning.server_access_password', ''
	union all select @setting_1020306, @configuration_type_355, @setting_type_35, 'provisioning.server_address', ''
	union all select @setting_1020306, @configuration_type_355, @setting_type_35, 'provisioning.server_username', ''
	union all select @setting_1020306, @configuration_type_355, @setting_type_35, 'provisioning.weekdays', ''
	union all select @setting_1020306, @configuration_type_355, @setting_type_35, 'provisioning.weekdays_end_hr', ''
	union all select @setting_1020306, @configuration_type_355, @setting_type_35, 'provisioning.weekdays_start_hr', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.access_code_retrieve_voicemail', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.authentication_access_password', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.authentication_name', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.backup_outbound_proxy_server_address', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.backup_outbound_proxy_server_port', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.call_rejection_response_code', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.call_restrict_dial_plan', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.check_trusted_certificate', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.cid_src_priority.1', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.cid_src_priority.2', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.cid_src_priority.3', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.codec_priority.1', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.codec_priority.2', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.codec_priority.3', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.codec_priority.4', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.codec_priority.5', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.codec_priority.6', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.codec_priority.7', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.dial_plan', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.display_name', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.dscp', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.dtmf_payload_type', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.dtmf_transport_method', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.g729_annexb_enable', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.ilbc_payload_type', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.inter_digit_timeout', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.keep_alive_enable', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.keep_alive_ignore_failure', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.keep_alive_interval', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.label', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.local_sip_port', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.maximum_call_number', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.music_on_hold_enable', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.mwi_enable', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.mwi_ignore_unsolicited', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.mwi_subscription_expires', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.mwi_uri', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.nat_traversal_stun_enable', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.nat_traversal_stun_keep_alive_enable', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.nat_traversal_stun_keep_alive_interval', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.nat_traversal_stun_server_address', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.nat_traversal_stun_server_port', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.preferred_ptime', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.primary_outbound_proxy_server_address', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.primary_outbound_proxy_server_port', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.primary_registration_expires', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.primary_registration_server_address', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.primary_registration_server_port', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.primary_sip_server_address', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.primary_sip_server_port', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.registration_retry_time', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.reliable_provisional_response_option', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.share_line_enable', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.sip_account_enable', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.sip_dscp', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.sip_session_timer_enable', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.sip_session_timer_max', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.sip_session_timer_min', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.stutter_dial_tone_enable', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.transport_mode', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.unregister_after_reboot_enable', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.use_register_route_header', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.user_id', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.1.voice_encryption_enable', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.dirty_host_ttl', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.dns_query_option', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.service_unavailable_handling_option', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.shared_local_sip_port', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.shared_local_sip_port_enable', ''
	union all select @setting_1020307, @configuration_type_355, @setting_type_35, 'sip_account.sips_uri_enable', ''
	union all select @setting_1020308, @configuration_type_355, @setting_type_35, 'speed_dial.0.account', ''
	union all select @setting_1020308, @configuration_type_355, @setting_type_35, 'speed_dial.0.name', ''
	union all select @setting_1020308, @configuration_type_355, @setting_type_35, 'speed_dial.0.number', ''
	union all select @setting_1020308, @configuration_type_355, @setting_type_35, 'speed_dial.1.account', ''
	union all select @setting_1020308, @configuration_type_355, @setting_type_35, 'speed_dial.1.name', ''
	union all select @setting_1020308, @configuration_type_355, @setting_type_35, 'speed_dial.1.number', ''
	union all select @setting_1020308, @configuration_type_355, @setting_type_35, 'speed_dial.2.account', ''
	union all select @setting_1020308, @configuration_type_355, @setting_type_35, 'speed_dial.2.name', ''
	union all select @setting_1020308, @configuration_type_355, @setting_type_35, 'speed_dial.2.number', ''
	union all select @setting_1020308, @configuration_type_355, @setting_type_35, 'speed_dial.3.account', ''
	union all select @setting_1020308, @configuration_type_355, @setting_type_35, 'speed_dial.3.name', ''
	union all select @setting_1020308, @configuration_type_355, @setting_type_35, 'speed_dial.3.number', ''
	union all select @setting_1020308, @configuration_type_355, @setting_type_35, 'speed_dial.4.account', ''
	union all select @setting_1020308, @configuration_type_355, @setting_type_35, 'speed_dial.4.name', ''
	union all select @setting_1020308, @configuration_type_355, @setting_type_35, 'speed_dial.4.number', ''
	union all select @setting_1020308, @configuration_type_355, @setting_type_35, 'speed_dial.5.account', ''
	union all select @setting_1020308, @configuration_type_355, @setting_type_35, 'speed_dial.5.name', ''
	union all select @setting_1020308, @configuration_type_355, @setting_type_35, 'speed_dial.5.number', ''
	union all select @setting_1020308, @configuration_type_355, @setting_type_35, 'speed_dial.6.account', ''
	union all select @setting_1020308, @configuration_type_355, @setting_type_35, 'speed_dial.6.name', ''
	union all select @setting_1020308, @configuration_type_355, @setting_type_35, 'speed_dial.6.number', ''
	union all select @setting_1020308, @configuration_type_355, @setting_type_35, 'speed_dial.7.account', ''
	union all select @setting_1020308, @configuration_type_355, @setting_type_35, 'speed_dial.7.name', ''
	union all select @setting_1020308, @configuration_type_355, @setting_type_35, 'speed_dial.7.number', ''
	union all select @setting_1020308, @configuration_type_355, @setting_type_35, 'speed_dial.8.account', ''
	union all select @setting_1020308, @configuration_type_355, @setting_type_35, 'speed_dial.8.name', ''
	union all select @setting_1020308, @configuration_type_355, @setting_type_35, 'speed_dial.8.number', ''
	union all select @setting_1020308, @configuration_type_355, @setting_type_35, 'speed_dial.9.account', ''
	union all select @setting_1020308, @configuration_type_355, @setting_type_35, 'speed_dial.9.name', ''
	union all select @setting_1020308, @configuration_type_355, @setting_type_35, 'speed_dial.9.number', ''
	union all select @setting_1020309, @configuration_type_355, @setting_type_35, 'system.config_version', ''
	union all select @setting_1020310, @configuration_type_355, @setting_type_35, 'time_date.24hr_clock', ''
	union all select @setting_1020310, @configuration_type_355, @setting_type_35, 'time_date.date_format', ''
	union all select @setting_1020310, @configuration_type_355, @setting_type_35, 'time_date.daylight_saving_amount', ''
	union all select @setting_1020310, @configuration_type_355, @setting_type_35, 'time_date.daylight_saving_auto_adjust', ''
	union all select @setting_1020310, @configuration_type_355, @setting_type_35, 'time_date.daylight_saving_end_day', ''
	union all select @setting_1020310, @configuration_type_355, @setting_type_35, 'time_date.daylight_saving_end_hour', ''
	union all select @setting_1020310, @configuration_type_355, @setting_type_35, 'time_date.daylight_saving_end_month', ''
	union all select @setting_1020310, @configuration_type_355, @setting_type_35, 'time_date.daylight_saving_end_week', ''
	union all select @setting_1020310, @configuration_type_355, @setting_type_35, 'time_date.daylight_saving_start_day', ''
	union all select @setting_1020310, @configuration_type_355, @setting_type_35, 'time_date.daylight_saving_start_hour', ''
	union all select @setting_1020310, @configuration_type_355, @setting_type_35, 'time_date.daylight_saving_start_month', ''
	union all select @setting_1020310, @configuration_type_355, @setting_type_35, 'time_date.daylight_saving_start_week', ''
	union all select @setting_1020310, @configuration_type_355, @setting_type_35, 'time_date.daylight_saving_user_defined', ''
	union all select @setting_1020310, @configuration_type_355, @setting_type_35, 'time_date.ntp_dhcp_option', ''
	union all select @setting_1020310, @configuration_type_355, @setting_type_35, 'time_date.ntp_server', ''
	union all select @setting_1020310, @configuration_type_355, @setting_type_35, 'time_date.ntp_server_addr', ''
	union all select @setting_1020310, @configuration_type_355, @setting_type_35, 'time_date.ntp_server_update_interval', ''
	union all select @setting_1020310, @configuration_type_355, @setting_type_35, 'time_date.selected_timezone', ''
	union all select @setting_1020310, @configuration_type_355, @setting_type_35, 'time_date.timezone_dhcp_option', ''
	union all select @setting_1020311, @configuration_type_355, @setting_type_35, 'tr069.acs.access_password', ''
	union all select @setting_1020311, @configuration_type_355, @setting_type_35, 'tr069.acs.url', ''
	union all select @setting_1020311, @configuration_type_355, @setting_type_35, 'tr069.acs.username', ''
	union all select @setting_1020311, @configuration_type_355, @setting_type_35, 'tr069.connection_request.access_password', ''
	union all select @setting_1020311, @configuration_type_355, @setting_type_35, 'tr069.connection_request.username', ''
	union all select @setting_1020311, @configuration_type_355, @setting_type_35, 'tr069.enable', ''
	union all select @setting_1020311, @configuration_type_355, @setting_type_35, 'tr069.periodic_inform.enable', ''
	union all select @setting_1020311, @configuration_type_355, @setting_type_35, 'tr069.periodic_inform.interval', ''
	union all select @setting_1020312, @configuration_type_355, @setting_type_35, 'trusted_ip.1.allow_ip', ''
	union all select @setting_1020312, @configuration_type_355, @setting_type_35, 'trusted_ip.10.allow_ip', ''
	union all select @setting_1020312, @configuration_type_355, @setting_type_35, 'trusted_ip.2.allow_ip', ''
	union all select @setting_1020312, @configuration_type_355, @setting_type_35, 'trusted_ip.3.allow_ip', ''
	union all select @setting_1020312, @configuration_type_355, @setting_type_35, 'trusted_ip.4.allow_ip', ''
	union all select @setting_1020312, @configuration_type_355, @setting_type_35, 'trusted_ip.5.allow_ip', ''
	union all select @setting_1020312, @configuration_type_355, @setting_type_35, 'trusted_ip.6.allow_ip', ''
	union all select @setting_1020312, @configuration_type_355, @setting_type_35, 'trusted_ip.7.allow_ip', ''
	union all select @setting_1020312, @configuration_type_355, @setting_type_35, 'trusted_ip.8.allow_ip', ''
	union all select @setting_1020312, @configuration_type_355, @setting_type_35, 'trusted_ip.9.allow_ip', ''
	union all select @setting_1020312, @configuration_type_355, @setting_type_35, 'trusted_ip.only_accept_allowed_ip', ''
	union all select @setting_1020313, @configuration_type_355, @setting_type_35, 'trusted_servers.only_accept_sip_account_servers', ''
	union all select @setting_1020314, @configuration_type_355, @setting_type_35, 'user_pref.absent_timeout', ''
	union all select @setting_1020314, @configuration_type_355, @setting_type_35, 'user_pref.account.1.ringer', ''
	union all select @setting_1020314, @configuration_type_355, @setting_type_35, 'user_pref.ringer_volume', ''
	union all select @setting_1020314, @configuration_type_355, @setting_type_35, 'user_pref.speaker_volume', ''
	union all select @setting_1020314, @configuration_type_355, @setting_type_35, 'user_pref.web_language', ''
	union all select @setting_1020315, @configuration_type_355, @setting_type_35, 'web.http_port', ''
	union all select @setting_1020315, @configuration_type_355, @setting_type_35, 'web.https_enable', ''
	union all select @setting_1020315, @configuration_type_355, @setting_type_35, 'web.https_port', ''
	union all select @setting_1020315, @configuration_type_355, @setting_type_35, 'web.server_enable', ''
	union all select @setting_1020316, @configuration_type_355, @setting_type_35, 'xml_app.http_push_enable', ''
	union all select @setting_1020316, @configuration_type_355, @setting_type_35, 'xml_app.push_during_call_enable', ''
) v
left join `ombutel`.`xepm_settings` s on (s.`parent_id` <=> v.`parent_id` and s.`configuration_type_id` = v.`configuration_type_id` and s.`name` = v.`name`)
where s.`setting_id` is null;
insert into `ombutel`.`xepm_templates` (`model_id`, `host_id`, `timezone_id`, `configuration_type_id`, `name`, `admin_password`)
select v.* from (
	select @model_364 `model_id`, @default_host `host_id`, 0 `timezone_id`, @configuration_type_355 `configuration_type_id`, 'Vtech CTM-S2412 Generic - Default' `name`, 'admin' `admin_password`
) v
left join `ombutel`.`xepm_templates` t on (t.`model_id` = v.`model_id` and t.`name` = v.`name` and t.`configuration_type_id` = v.`configuration_type_id`)
where t.`template_id` is null;
