-- add index to cdr table if it does not exist yet
drop procedure if exists `ombutel`.`add_recfile_cloud_index`;
delimiter //
create procedure `ombutel`.`add_recfile_cloud_index` ()
begin
    set @exists = 0;
    select 1 into @exists
    from `information_schema`.`statistics`
    where `table_name` = 'cdr' and `column_name` = 'recfile_cloud'
    limit 1;
    if (!@exists) then
        alter table `asterisk`.`cdr` add index `recfile_cloud` (`recfile_cloud`);
    end if;
end//
delimiter ;
call `ombutel`.`add_recfile_cloud_index`;
drop procedure if exists `ombutel`.`add_recfile_cloud_index`;
