use `ombutel`;

insert ignore into `ombu_modules` (`name`, `has_dialplan`, `admin`, `version`, `portal`)
values ("wakeup_calls_settings", "no", "yes", "1.0", "no");

select `module_id` into @module_id
from `ombu_modules`
where `name` = 'wakeup_calls_settings';

insert ignore into `ombu_menu` (`label`, `parent_id`, `module_id`, `sort`, `action`)
select "menu.wakeup_calls_settings", `parent`.`menu_id`, @module_id, 10, "wakeup-calls-settings"
from `ombu_menu` as `parent` where `label` = 'menu.pbx_settings';

insert ignore into `ombu_role_privileges` (`role_id`, `module_id`, `allow_view`, `allow_add`, `allow_edit`, `allow_delete`)
select `role_id`, @module_id, "yes", "yes", "yes", "yes" from `ombu_roles` where `superadmin` = "yes";

insert ignore into `ombu_actions` (`name`, `displayname`, `function`)
select "wakeup-calls-settings", `label`, "modules\\wakeup_calls_settings\\wakeup_calls_settings::open" from `ombu_menu` where `module_id` = @module_id;
