(function () {
	var extensions_bulk_form =  $("#bulk_modification_form");
	var combo = extensions_bulk_form.find("#field");
	var comboVal = combo.val();
	var attach_toggle = $("#bulk_modification_form input#bulk-voicemail_attach");
	var delete_toggle = $("#bulk_modification_form input#bulk-voicemail_delete");
	var notifications_toggle = $("#bulk_modification_form input#bulk-voicemail_email_notification");
	var notifications_toggle_labels = $("#bulk_modification_form div.form-group-bulk-voicemail_email_notification label");
	var delete_toggle_labels = $("#bulk_modification_form div.form-group-bulk-voicemail_delete label");

	var set_restrictions = function() {
		if(!attach_toggle.prop('checked')) {
			delete_toggle.bootstrapToggle('off');
		} else {
			notifications_toggle.bootstrapToggle('on');
		}
		gray_out(attach_toggle, notifications_toggle, notifications_toggle_labels, true);
		gray_out(attach_toggle,delete_toggle,delete_toggle_labels);
	}
	attach_toggle.on('change', function() {
		set_restrictions();
	});
	set_restrictions();
	extensions_bulk_form.on('submit', function () {
		notifications_toggle.prop('disabled', false);
		delete_toggle.prop('disabled', false);
	});
	extensions_bulk_form.validate(Validations);

	combo.bind('change', function() {
		comboVal = $(this).val();
		comboProccess();
	});

	comboProccess();

	Ombutel.on('click','#btn-modal-bulk-extensions',function () {
		var extensions = [];
		$('#modal-bulk-extensions').find(":selected").each(function () {
			extensions.push($(this).val());
		});
		$('.extension_ids').val(extensions.join(','));
		multiple_select('modal-bulk-extensions', 'bulk-extensions', 'tab_bulk_modification');
	});

	function comboProccess() {
		var bulk_items = extensions_bulk_form.find('.bulk-items');

		bulk_items.each(function(){
			var me = $(this);
			extensions_bulk_form.find('.' + me.attr('data-form-group')).hide();
		});

		extensions_bulk_form.find('div.call_recordings').hide();
		extensions_bulk_form.find('div.fax').hide();
		extensions_bulk_form.find('div.voicemail').hide();
		extensions_bulk_form.find('div.diversion').hide();

		if (comboVal !== '-1' && comboVal !== '') {
			switch(comboVal) {
				case 'call_recordings':
				case 'fax':
				case 'diversion':
				case 'voicemail': {
					extensions_bulk_form.find('div.' + comboVal).show();
					break;
				}
				case 'portal_password': {
					extensions_bulk_form.find('input#bulk-portal_password').bootstrapToggle('on');
				}
				default: {
					extensions_bulk_form.find(".form-group-bulk-" + comboVal).show();
				}
			}
		}
	}
})();
